
/*\// -------------------------------------------------------------- */
/*\// Licensed Material - Property of IBM                            */
/*\//                                                                */
/*\// 5655-002                                                       */
/*\//                                                                */
/*\// (C) Copyright IBM Corp. 2003   All Rights Reserved             */
/*\//                                                                */
/*\// US Government Users Restricted Rights - Use, duplication or    */
/*\// disclosure restricted by GSA ASP Schedule Contract with        */
/*\// IBM Corp.                                                      */
/*\// -------------------------------------------------------------- */
function fnEscapeCommand(aCommand)
{
var vEscapedCommand;
vEscapedCommand  = aCommand;
return vEscapedCommand;
}
function fnCommandListAdd(aCommand, aTreeCoordinate)
{
var vCommandList;
var vCommand    ;
vCommand = fnEscapeCommand(aCommand);
vCommandList = fnCommandListGet();
if (vCommandList != "")
{
vCommandList = vCommandList + "&sep;";
}
if (aTreeCoordinate == null)
{
vCommandList = vCommandList + vCommand;
}
else
{
vCommandList = vCommandList + aTreeCoordinate + "-" + vCommand;
}
g_operation = "changes";
gTopObj.applet.gCommandList = vCommandList;
}
function fnCommandListDelete()
{
gTopObj.applet.gCommandList = "";
}
function fnCommandListGet()
{
var vCommandList;
vCommandList = gTopObj.applet.gCommandList;
if (vCommandList == null)
{
vCommandList = "";
}
return(vCommandList);
}
function fnConsoleTrace(aTraceString)
{
var vConsoleEnabled = "";
if (this.name == "main")
{
vConsoleEnabled = fnGetGlobalVariable("gConsoleEnabled");
}
else
{
vConsoleEnabled = parent.fnGetGlobalVariable("gConsoleEnabled");
}
if(vConsoleEnabled == "Y")
{
var vTraceWindow = null;
if(this.name == "main")
{
vTraceWindow = gTraceWindow;
}
else
{
vTraceWindow = parent.gTraceWindow;
}
if(vTraceWindow == null || vTraceWindow == "undefined" || vTraceWindow == "")
{
if(this.name == "main")
{
gTraceWindow = window.open("", "consolewindow");
}
else
{
parent.gTraceWindow = window.open("", "consolewindow");
}
}
if(this.name == "main")
{
vDivContent = gTraceWindow.document.getElementById('tracecontent');
}
else
{
vDivContent = parent.gTraceWindow.document.getElementById('tracecontent');
}
aTraceString += '\n' + vDivContent.innerText;
vDivContent.innerText = aTraceString;
}
}
function fnCursorUpNavigation()
{
if (g_hmenuselect != "")
{
var vMenuObjCur;
var vMenuObjNext;
vMenuObjCur             = document.getElementById("ns-"+g_hmenuselect);
vMenuObjCur.style.color = "";
g_hmenuselect          -= 1;
vMenuObjNext = document.getElementById("ns-"+g_hmenuselect);
while (vMenuObjNext  != null &&
g_hmenuselect > 0     &&
vMenuObjNext.className == "navigationspangrey")
{
g_hmenuselect -= 1;
vMenuObjNext   = document.getElementById("ns-"+g_hmenuselect);
}
if (g_hmenuselect < 1)
{
g_hmenuselect = fnGetGlobalVariable("gHMmenuTotal");
}
vMenuObjNext             = document.getElementById("ns-"+g_hmenuselect);
vMenuObjNext.style.color = "#0000FF";	
}
else
{
}
}
function fnCursorDownNavigation()
{
if (g_hmenuselect != "")
{
var vMenuObjCur;
var vMenuObjNext;
vMenuObjCur             = document.getElementById("ns-"+g_hmenuselect);
vMenuObjCur.style.color = "";
g_hmenuselect           = g_hmenuselect - 0 + 1;
vMenuObjNext = document.getElementById("ns-"+g_hmenuselect);
while (vMenuObjNext  != null                        &&
g_hmenuselect <= fnGetGlobalVariable("gHMmenuTotal") &&
vMenuObjNext.className == "navigationspangrey")
{
g_hmenuselect += 1;
vMenuObjNext   = document.getElementById("ns-"+g_hmenuselect);
}
if (g_hmenuselect > fnGetGlobalVariable("gHMmenuTotal"))
{
g_hmenuselect = 1;
}
vMenuObjNext             = document.getElementById("ns-"+g_hmenuselect);
vMenuObjNext.style.color = "#0000FF";	
}
else
{
}
}
function fnFinish()
{
if ( typeof ( gTopObj.applet ) != "undefined" )
{
gTopObj.applet.gObjId = "";
}
if (g_SearchResultWindow == null)
{
g_SearchResultWindow = parent.g_SearchResultWindow;
parent.g_SearchResultWindow = null;
}
if (g_SearchResultWindow != null)
{
eval(g_SearchResultWindow.onunload="");
g_SearchResultWindow.close();
while (g_SearchResultWindow != null &&
!g_SearchResultWindow.closed)
{
g_SearchResultWindow.focus();
}
g_SearchResultWindow = null;
}
}
function fnGetEvtSourceId()
{
var vSrcObject = null;
var vSrcId     = gTopObj.applet.gObjId ;
if ( typeof(window.event.srcElement) == "undefined" )
{
vSrcId = "unknown";
}
else
{
if ( window.event.srcElement != null )
{
vSrcObject = window.event.srcElement;
if (vSrcObject != null)
{
if (typeof(vSrcObject.id) != "undefined")
{
vSrcId                = vSrcObject.id;
gTopObj.applet.gObjId = vSrcId;
}
else
{
vSrcId = "unknown";
}
}
}
else
{
vSrcId = "unknown";
}
}
return (vSrcId);
}
function fnGetTypeFromId(aObjId)
{
var vPrefix = aObjId.substring(0, PREF_LEN);
return vPrefix;
}
function fnGetUTCMilliseconds()
{
return ( (new Date()).getTime() );
}
function fnGetUTCMillisecondsDifference(aEndMilliseconds, aStartMilliseconds)
{
return (aEndMilliseconds - aStartMilliseconds);
}
function fnGetUTCMillisecondsFromApplet()
{
return (gTopObj.applet.gUTCMilliseconds);
}
function fnSetUTCMillisecondsToApplet(aUTCMilliseconds)
{
gTopObj.applet.gUTCMilliseconds = aUTCMilliseconds;
}
function fnPT(aDebug, aString)
{
if ( aDebug != "0" )
{
var vCurrentTS = fnGetUTCMilliseconds();
var vOldTS     = fnGetUTCMillisecondsFromApplet();
var vElapsed   = vCurrentTS - vOldTS;
var vMsg       = null;
var vConfirm   = null;
if ( vOldTS  > 0 )
{
vMsg     = "=== " + aString + " Elapsed time=" + vElapsed + " vCurrentTS=" + vCurrentTS + " vOldTS=" + vOldTS;
if ( aDebug == "1" )
{
}
else
{
vConfirm = window.confirm(vMsg);
}
}
fnSetUTCMillisecondsToApplet(vCurrentTS);
gUTCMilliseconds = vCurrentTS;
}
}
function fnIgnoreEvent()
{
if (event != null)
{
event.cancelBubble = true;
event.returnValue  = false;
}
return(false);
}
function fnInitCommon()
{
var vBodyObj;
var vMsgToDisplay;
gTopObj.applet.gMenuSelect             = 0;
gTopObj.applet.gTreeMainSelect         = 0;
gTopObj.applet.gTreeMainSelectPref     = "la";
gTopObj.applet.gEventsEnabled          = false;
gTopObj.applet.gCurObjectId            = null;
gTopObj.applet.gMenuMatrix             = 0;
gTopObj.applet.gPreviousSelectedItemID = "";
gTopObj.applet.gObjId                  = null;
gTopObj.applet.gObjIdToPassToPopup     = null;
gTopObj.applet.gSaveWindowStatusText   = "";
fnCommandListDelete();
if (  typeof(fnGetGlobalVariable("gFirstInLrr")) == "undefined" )
{
fnSetGlobalVariable("gFirstInLrr", "N");
}
if (  typeof(fnGetGlobalVariable("gUseWindowStatusFlag")) == "undefined" )
{
fnSetGlobalVariable("gUseWindowStatusFlag", "N");
}
if (  typeof(fnGetGlobalVariable("gShowModifiedSP")) == "undefined" )
{
fnSetGlobalVariable("gShowModifiedSP", "N");
}
if (  typeof(fnGetGlobalVariable("gRefLTDName")) == "undefined" )
{
fnSetGlobalVariable("gRefLTDName", "");
}
var gTraceWindow = null;
try
{
fnClearPostRequestBuffer();
}
catch (e)
{
setMsgLanguage(g_languageid);
alert("DOC8073E " + DOC8073E);
return;
}
try
{
setLanguage(g_languageid);
}
catch (e)
{
setMsgLanguage(g_languageid);
alert("DOC8074E " + DOC8074E);
return;
}
fnSetEventHandler("document.onclick",       "fnIgnoreEvent");
fnSetEventHandler("document.ondblclick",    "fnIgnoreEvent");
fnSetEventHandler("document.onmouseover",   "fnIgnoreEvent");
fnSetEventHandler("document.onmouseout",    "fnIgnoreEvent");
fnSetEventHandler("document.oncontextmenu", "fnIgnoreEvent");
setTimeout("fnDelayedFunction('Init')",100);
fnSetMenuLabels();
if (g_RealButtons == true) {
fnSetButtonLabels2();
}
else
{
fnSetButtonLabels();
}
fnWindowStatusClearText();
vBodyObj = document.getElementById("body");
if (vBodyObj == null)
{
vBodyObj = parent.document.getElementById("body");
}
   gTopObj.applet.gServerPath = window.location.protocol + "//" + window.location.host + window.location.pathname;
   fnSetGlobalVariable("gServerPath", window.location.protocol + "//" + window.location.host + window.location.pathname);
fnCommandListDelete();
if (g_signonmode == "implicit")
{
fnSetLoginImplicit();
}
fnSaveString("IgnoreSearchCloseWindow", "no");
gTopObj.applet.gEventsEnabled = true;
vMsgToDisplay = fnGetGlobalVariable("PendingMsg");
if (vMsgToDisplay != null && vMsgToDisplay != "undefined" && vMsgToDisplay.length > 0)
{
fnDisplayServerMessage(vMsgToDisplay);
fnSetGlobalVariable("PendingMsg", "");
}
}
function fnGetKeyEventTreeMain()
{
var vRetBool = true;
switch (event.keyCode)
{
case 13:
if (gTopObj.applet.gTreeMainSelect != "")
{
gTopObj.applet.gTreeMainSelect = fnTidyUpg_treemain();
if (gTopObj.applet.gTreeMainSelectPref == "la" && gTopObj.applet.gTreeMainSelect != 0)
{
if (!fnCheckforEditCall(gTopObj.applet.gTreeMainSelect))
{
var vLaObj = document.getElementById("la-" + gTopObj.applet.gTreeMainSelect);
if (vLaObj != null)
{
var vDecIfEditOpen = document.getElementById("en_" + gTopObj.applet.gTreeMainSelect + "tb");
if (vDecIfEditOpen!=null)
{
var vEditor = eval("en_" + gTopObj.applet.gTreeMainSelect);
vEditor.setFocus();
}
else
{
fnShowEditor();
}
}
}
else
{
gTopObj.applet.gObjId = "it-" + gTopObj.applet.gTreeMainSelect;
g_SelectedObject      = document.getElementById(gTopObj.applet.gObjId);
fnToggle_X(gTopObj.applet.gObjId);
}
}
}
break;
case 32:
if (gTopObj.applet.gTreeMainSelect != "")
{
gTopObj.applet.gTreeMainSelect = fnTidyUpg_treemain();
g_SelectedObject = document.getElementById("is-" + gTopObj.applet.gTreeMainSelect);
fnToggle_S("is-" + gTopObj.applet.gTreeMainSelect);
}
break;
case 33:
var vDivTFnew = document.getElementById("tf0");
if (vDivTFnew != null)
{
vDivTFnew.doScroll("scrollbarPageUp");
}
break;
case 34:
var vDivTFnew = document.getElementById("tf0");
if (vDivTFnew != null)
{
vDivTFnew.doScroll("scrollbarPageDown");
}
break;
case 35:
vCurObj = document.getElementById("la-" + gTopObj.applet.gTreeMainSelect);
vCurObj.style.backgroundColor = "transparent";
vCurObj.style.color           = "";
var vRootObj                   = document.getElementById("la-0");
gTopObj.applet.gTreeMainSelect = vRootObj.LastValidEntry;
vCurObj = null;
while (vCurObj == null)
{
vCurITObj = document.getElementById("it-"+ gTopObj.applet.gTreeMainSelect);
if (vCurITObj != null)
{
if ( (vCurITObj.LastValidEntry > 0) &&
(  (vCurITObj.src == gTopObj.applet.g_iminus.src ) ||
(vCurITObj.src == gTopObj.applet.g_iminusend.src ) ||
(vCurITObj.src == gTopObj.applet.g_ichangeminusend.src ) ||
(vCurITObj.src == gTopObj.applet.g_ichangeminus.src)  ||
(vCurITObj.src == gTopObj.applet.g_iminusstop.src ) ||
(vCurITObj.src == gTopObj.applet.g_iminusstopend.src ) ||
(vCurITObj.src == gTopObj.applet.g_iminusi.src )     ||
(vCurITObj.src == gTopObj.applet.g_iminusendi.src )  ||
(vCurITObj.src == gTopObj.applet.g_ichangeminusendi.src ) ||
(vCurITObj.src == gTopObj.applet.g_ichangeminusi.src)
)
)
{
gTopObj.applet.gTreeMainSelect = gTopObj.applet.gTreeMainSelect + "-" + vCurITObj.LastValidEntry;
}
else
{
vCurObj = document.getElementById("la-" + gTopObj.applet.gTreeMainSelect);
if (vCurObj == null)
{
gTopObj.applet.gTreeMainSelect = vRootObj.LastValidEntry - 1;
}
else
{
vCurObj.scrollIntoView(false);
fnChangeColorOfActiveElement(vCurObj);
}
}
}
else
{
break;
}
}
break;
case 36:
var vRootObj = document.getElementById("la-0");
vRootObj.scrollIntoView(false);
if (gTopObj.applet.gTreeMainSelect != "")
{
vCurObj = document.getElementById("la-" + gTopObj.applet.gTreeMainSelect);
if (vCurObj != null)
{
vCurObj.style.backgroundColor  = "transparent";
vCurObj.style.color            = "";
gTopObj.applet.gTreeMainSelect = 1;
vCurObj = document.getElementById("la-" + gTopObj.applet.gTreeMainSelect);
while (vCurObj == null && gTopObj.applet.gTreeMainSelect <= vRootObj.LastValidEntry )
{
gTopObj.applet.gTreeMainSelect += 1;
vCurObj = document.getElementById("la-" + gTopObj.applet.gTreeMainSelect);
}
fnChangeColorOfActiveElement(vCurObj);
}
}
else
{
}
break;
case 37:
case 38:
if (gTopObj.applet.gTreeMainSelect != "")
{
gTopObj.applet.gTreeMainSelect = fnTidyUpg_treemain();
var vCountUp = 0;
var vCountLastLevelUp= 0;
var vOldSelect = gTopObj.applet.gTreeMainSelect + "";
vCountUp = fnFindNextElementUp(vCountLastLevelUp,vCountUp);
if ((g_objUpNext != null) && (vCountUp == 0))
{
fnChangeColorOfActiveElement(g_objUpNext);
g_objUpNext.scrollIntoView(false);
}
else
{
vCountUp = 1;
}
if (vCountUp == 0)
{
if (vOldSelect[0]=="-")
{
vOldSelect = vOldSelect.substring(1);
}
objold = document.getElementById("la-"+vOldSelect);
if (objold != null)
{
objold.style.backgroundColor = "transparent";
objold.style.color           = "";
}
}
else
{
if (gTopObj.applet.gTreeMainSelect == "root")
{
if (vOldSelect[0]=="-")
{
vOldSelect = vOldSelect.substring(1);
}
objold = document.getElementById("la-"+vOldSelect);
if (objold != null)
{
objold.style.backgroundColor = "transparent";
objold.style.color           = "";
}
gTopObj.applet.gTreeMainSelect = 0;
g_objUpNext = document.getElementById("la-" + gTopObj.applet.gTreeMainSelect);
if (g_objUpNext != null)
{
fnChangeColorOfActiveElement(g_objUpNext);
g_objUpNext.scrollIntoView(false);
}
}
else
{
gTopObj.applet.gTreeMainSelect = vOldSelect;
}
}
g_swap_imbg  = "transparent";
g_swap_color = "";
g_swap_bg    = "transparent";
}
else
{
}
break;
case 39:
case 40:
if ( gTopObj.applet.gTreeMainSelect != "" || gTopObj.applet.gTreeMainSelect == "0")
{
gTopObj.applet.gTreeMainSelect = fnTidyUpg_treemain();
var vCountUp = 0;
var vCounter = 0;
var vOldSelect = gTopObj.applet.gTreeMainSelect + "";
vCounter = fnCalculateNewg_treemainselectAndVCounter();
imgold = document.getElementById("it"+ "-" + vOldSelect);
if (imgold != null)
{
if ((imgold.src == gTopObj.applet.g_iminusend.src) ||
(imgold.src == gTopObj.applet.g_iminus.src) ||
(imgold.src == gTopObj.applet.g_ichangeminusend.src) ||
(imgold.src == gTopObj.applet.g_ichangeminus.src) ||
(imgold.src == gTopObj.applet.g_iminusendi.src) ||
(imgold.src == gTopObj.applet.g_iminusi.src) ||
(imgold.src == gTopObj.applet.g_ichangeminusendi.src) ||
(imgold.src == gTopObj.applet.g_ichangeminusi.src) ||
(imgold.src == gTopObj.applet.g_iminusstopend.src) ||
(imgold.src == gTopObj.applet.g_iminusstop.src) )
{
gTopObj.applet.gTreeMainSelect = gTopObj.applet.gTreeMainSelect + "-" + vCounter;
gTopObj.applet.gTreeMainSelect = fnTidyUpg_treemain();
vCountUp = fnCheckForChilds();
}
else
{
vCountUp = fnFindNextElement(vCounter,vCountUp);
}
}
else if ( vCounter == 0)
{
vCountUp = fnFindNextElement(vCounter,vCountUp);
}
if (vCountUp == 0)
{
if (vOldSelect[0] == "-")
{
vOldSelect = vOldSelect.substring(1);
}
objold = document.getElementById("la-"+vOldSelect);
if (objold != null)
{
objold.style.backgroundColor = "transparent";
objold.style.color = "";
}
}
else
{
gTopObj.applet.gTreeMainSelect = vOldSelect;
}
g_swap_imbg  = "transparent";
g_swap_color = "";
g_swap_bg    = "transparent";
}
else
{
}
break;
case 107:
case 221:
fnShowExpandedCollapsedTree("expand");
break;
case 109:
case 219:
fnShowExpandedCollapsedTree("collapse");
break;
case 112:
fnIgnoreEvent();
var obj = document.getElementById("la-" + gTopObj.applet.gTreeMainSelect);
if (obj != null)
{
fnShowContextHelp(gTopObj.applet.gTreeMainSelect);
}
else
{
fnShowHelp("");
}
break;
case 187:
if (event.ctrlKey)
{
fnShowExpandedCollapsedTree("expand");
}
break;
case 189:
if (event.ctrlKey)
{
fnShowExpandedCollapsedTree("collapse");
}
break;
default:
vRetBool = false;
break;
}
return (vRetBool);
}
function fnMouseClickEventHandler()
{
var vIdPrefix     = "unknown";
var vEventHandled = true;
if (gTopObj.applet.gEventsEnabled)
{
gTopObj.applet.gObjId = fnGetEvtSourceId();
vIdPrefix             = gTopObj.applet.gObjId.substring(0, 3);
if (vIdPrefix.substring(0, 2) == "tb")
{
fnSetGlobalVariable("gCurObjectId", fnGetEvtSourceId());
}
if (vIdPrefix.substring(0,1) == "b")
{
if (window.event.srcElement.id == "body")
{
fnSetFocus2MainPanel();
}
else
{
if (g_RealButtons == false) {
vEventHandled = fnMouseClickEventButton();
}
}
}
else
{
switch (vIdPrefix)
{
case "tb0":
case "tf0":
case "tf0tr":
case "tf0td":
case "tf0is":
case "tre":
case "mt-":
case "td-":
case "cus":
case "ud-":
case "ur-":
case "co-":
ContextMenuMainClose();
fnSetFocus2MainPanel();
break;
case "prf":
case "pr1":
case "prt":
case "prp":
ContextMenuMainClose();
fnSetFocus2ParamInputField();
break;
case "tb1":
fnSetFocus2ButtonPanel();
break;
case "tb2":
fnSetFocus2NavigationPanel();
break;
case "tb4":
fnSetFocus2MainPanel();
break;
case "en-":
case "ai-":
case "ii-":
case "si-":
case "li-":
case "mi-":
fnMainMarkObj();
break;
case "ni-":
case "nt-":
case "ns-":
fnSelectMenu();
break;
case SEL_IMG_PREF:										
fnToggle_S(gTopObj.applet.gObjId);
focusjumptreemain();
break;
case TREE_IMG_PREF:										
if (g_whatAmI =="lrr")
{
fnToggle_X(gTopObj.applet.gObjId);
}
ContextMenuMainClose();
fnSetFocus2MainPanel();
break;
case "la-":
case "roo":
focusjumptreemain();
break;
case "ks-":
switch(g_whatAmI)
{
case "lrr" :
focusjumptreemain();
break;
case "menu":
fnMainMarkObj();
break;
default:
break;
};
break;
case "tif":
fnTermIFClicked(gTopObj.applet.gObjId);
break;
case "trb":
fnTermRBClicked(gTopObj.applet.gObjId);
break;
default:
vEventHandled = false;
break;
}
}
if (vEventHandled == false)
{
}
}
else
{
fnIgnoreEvent();
}
}
function fnMouseDblClickEventHandler()
{
var vIdPrefix     = "unknown";
var vEventHandled = true;
if (gTopObj.applet.gEventsEnabled)
{
gTopObj.applet.gObjId = fnGetEvtSourceId();
vIdPrefix             = gTopObj.applet.gObjId.substring(0,3);
switch (vIdPrefix)
{
case "en-":
case "ai-":
case "ii-":
case "si-":
case "li-":
case "mi-":
fnMainSelectMenu();
break;
case "ni-":
case "nt-":
case "ns-":
fnSelectMenu();
break;
case "la-":
if (gTopObj.applet.gObjId != "la-0")
{
if (  fnCheckIfViewOfSPIsAllowed(document.getElementById(gTopObj.applet.gObjId)) == true )
{
fnOpenEditor();
}
}
break;
default:
vEventHandled = false;
break;
}
if (vEventHandled == false)
{
}
}
else
{
fnIgnoreEvent();
}
}
function fnMouseOverEventHandler()
{
var vIdPrefix     = "unknown";
var vTagName      = "unknown";
var vEventHandled = true;
var vSrcId        = null;
if (gTopObj.applet.gEventsEnabled)
{
vSrcId  = fnGetEvtSourceId();
if (  vSrcId != "unknown" )
{
gTopObj.applet.gObjId = vSrcId;
vIdPrefix             = gTopObj.applet.gObjId.substring(0,3);
if ( window.event.srcElement != null)
{
if (typeof(window.event.srcElement.tagName) != "undefined")
{
vTagName  = window.event.srcElement.tagName;
vTagName  = vTagName.toLowerCase();
}
}
}
if (vIdPrefix.substring(0,1) == "b" &&
vIdPrefix != "bod"              &&
vSrcId    != "unknown"   )
{
vEventHandled = fnMouseOverEventButton();
}
else
{
switch (vIdPrefix)
{
case "bod":
break;
case "tdM":
switch (window.event.srcElement.id)
{
case "tdMenuBarItemBaustein":
ContextMenuMain('bpmain','bblockMenu');
break;
case "tdMenuBarItemFreitext":
ContextMenuMain('ipmain','itextMenu');
el=window.frames.itextMenu.document.getElementById("ip0td00,m=cm70");
if(el!=null) {
fnOver(el);
}
break;
case "tdMenuBarItemDokumentstruktur":
ContextMenuMain('dpmain','dstructureMenu');
break;
case "tdMenuBarItemHilfe":
case "tdMenuBarItemHilfeLRR":
window.focus();
ContextMenuMain('hpmain','helpMenu');
break;
default:
}
break;
case "la-":
fnTreeMainChangeTxtCol();
break;
case "is-":
fnTreeMainChangeImgCursor();
break;
case "en-":
fnMainChangeTxtCol();
break;
case "ai-":
case "ii-":
case "si-":
case "li-":
case "mi-":
fnMainChangeImgCursor();
break;
case "ni-":
case "ns-":
fnNavChangeImgCursor();
break;
case "it-":
if (g_whatAmI =="lrr")
{
fnPlusMinusShowToolTip();
}
break;
default:
vEventHandled = false;
break;
}
}
if (vTagName == "iframe")
{
if (g_contextmenu)
{
g_overcontext = true;
}
}
else
{
if ( (g_overcontext) ||
((vIdPrefix != "tdM") && (vIdPrefix != "tb4") && (vIdPrefix != "tb0") && (vIdPrefix != "tbc") && (vIdPrefix != "Men") && (vIdPrefix != "bod") )
)
{
if (g_contextmenu)
{
g_ignoreChangeColor = 0;
ContextMenuMainClose();
if (g_SetFocusMain)
{
fnSetFocus2Object(fnGetGlobalVariable("gCurObjectId"));
}
else
{
g_SetFocusMain = true;
}
}
g_overcontext = false;
}
}
}
else
{
fnIgnoreEvent();
}
}
function fnMouseOutEventHandler()
{
var vIdPrefix     = "unknown";
var vEventHandled = true;
if (gTopObj.applet.gEventsEnabled && g_disableMouseOutEvent == false)
{
gTopObj.applet.gObjId = fnGetEvtSourceId();
vIdPrefix             = gTopObj.applet.gObjId.substring(0,3);
if (vIdPrefix.substring(0,1) == "b")
{
vEventHandled = fnMouseOutEventButton();
}
else
{
switch (vIdPrefix)
{
case "la-":
fnTreeMainChangeTxtColOrig();
break;
case "is-":
fnTreeMainChangeImgCursorOrig();
break;
case "en-":
fnMainChangeTxtColOrig();
break;
case "ai-":
case "ii-":
case "si-":
case "li-":
case "mi-":
fnMainChangeImgCursorOrg();
break;
case "ni-":
case "ns-":
fnNavChangeImgCursorOrg();
break;
default:
vEventHandled = false;
break;
}
}
}
else
{
g_disableMouseOutEvent = false;
fnIgnoreEvent();
}
}
function fnMouseContextMenuEventHandler()
{
var vIdPrefix = "unknown";
if (gTopObj.applet.gEventsEnabled)
{
gTopObj.applet.gObjId = fnGetEvtSourceId();
vIdPrefix  = gTopObj.applet.gObjId.substring(0,3);
if(vIdPrefix.substring(0,2) == "pr")
{
vIdPrefix = "pr-"
}
else if ( (vIdPrefix.length == 0)  || (vIdPrefix == "") )
{
vIdPrefix = "nothing";
fnIgnoreEvent();
}
switch (vIdPrefix)
{
case "ks-":
fnSetGlobalVariable("gObjIdToPassToPopup", 'pr-' + gTopObj.applet.gObjId.substring(3));
fnOpenContextMenu(gTopObj.applet.gObjId);
break;
case "tb0":
case "tf0":
case "tf0tr":
case "tf0td":
case "tf0is":
case "tre":
case "ud-":
case "ai-":
case "en-":
case "ii-":
case "si-":
case "is-":
case "it-":
case "la-":
case "ur-":
case "co-":
case "li-":
case "mi-":
case "mt-":
case "td-":
fnOpenContextMenu(gTopObj.applet.gObjId);
break;
case "pr-":
fnSetGlobalVariable("gObjIdToPassToPopup", gTopObj.applet.gObjId);
fnOpenContextMenu(gTopObj.applet.gObjId);
break;
case "roo":
if (gTopObj.applet.gObjId == "root-is")
{
gTopObj.applet.gObjId ="la-0";
}
fnSetGlobalVariable("gObjIdToPassToPopup", gTopObj.applet.gObjId);
fnOpenContextMenu(gTopObj.applet.gObjId);
break;
default:
break;
}
}
else
{
fnIgnoreEvent();
}
return (false);
}
function fnNextLogicalChildRow(aObjId)
{
var vLevel      = aObjId.substring(PREF_LEN+1);
var vLevelArray = vLevel.split(ID_SEP);
var vLen        = vLevelArray.length;
var vNlr        = TRCHILD_PREF;
for (i = 0; i < vLen; i++)
{
vNlr = vNlr + ID_SEP + vLevelArray[i];
}
return vNlr;
}
function fnShowHTMLSource()
{
htmlSource   = document.body.outerHTML;
var WshShell = new ActiveXObject("WScript.Shell");
WshSysEnv    = WshShell.Environment("PROCESS");
var fso      = new ActiveXObject("Scripting.FileSystemObject");
var a        = fso.CreateTextFile(WshSysEnv("TEMP") + "\\HTMLContent.txt", true);
a.WriteLine(htmlSource);
a.Close();
WshShell.Run ("notepad.exe " + WshSysEnv("TEMP") + "\\HTMLContent.txt");
}
function fnSpecialEncodeURI(aUnencodedString)
{
var vEncodedString = aUnencodedString;
if ( vEncodedString != null )
{
vEncodedString  = encodeURI(vEncodedString);
vEncodedString = vEncodedString.replace(/#/g, "%23");
}
return vEncodedString;
}
function fnSendToServer(aCommand)
{
var vCommandList;
var vCurDate   = new Date;
var vTimeStamp = Date.parse(vCurDate.toGMTString());
var vHref;
var vUseParent = false;
vUseParent = fnDisableWindow();
vCommandList = fnCommandListGet();
vCommandList = fnEncodeURLString(vCommandList);
fnCommandListDelete();
vHref = fnGetGlobalVariable("gServerPath")+ "?cm=" + aCommand + "&sessionid=" + fnGetGlobalVariable("gSessionId") + "&commandlist=" + vCommandList + "&timestamp=" + vTimeStamp + "&language=" + g_languageid;
vHref += "&" + fnGetGlobalVariablesString()
vHref = fnSpecialEncodeURI(vHref);
if (vUseParent)
{
parent.window.defaultStatus = " ";
parent.window.location.href = vHref;
}
else
{
window.defaultStatus = " ";
window.location.href = vHref;
}
}
function fnSetEventHandler(aEvent, aEventHandler)
{
var vOldEvent;
vOldEvent = aEvent;
eval(aEvent + "=" + aEventHandler);
return(vOldEvent);
}
function fnSetMousePointer(aObject, aMousePointerStyle)
{
aObject.style.cursor = aMousePointerStyle;
}
function fnSetFocus2Object(aObjId2SetFocus)
{
var vCurObj;
if (aObjId2SetFocus != null)
{
switch (aObjId2SetFocus)
{
case "tb0":
fnSetFocus2MainPanel();
break;
case "tb1":
fnSetFocus2ButtonPanel();
break;
case "tb2":
fnSetFocus2NavigationPanel();
break;
default:
vCurObj = document.getElementById(aObjId2SetFocus);
if (vCurObj != null)
{
vCurObj.focus();
}
break;
}
}
}
function fnSetFocus2ButtonPanel()
{
if (gTopObj.applet.gEventsEnabled)
{
if (typeof(tb1) == "undefined")
{
parent.tb1.focus();
}
else
{
tb1.focus();
}
gTopObj.applet.gPreviousSelectedItemID = "";
gTopObj.main.fnSetGlobalVariable("gCurObjectId", "tb1");
g_ignoreChangeColor                    = 1;
}
}
function fnSetFocus2MainPanel()
{
if (gTopObj.applet.gEventsEnabled)
{
if (typeof(tb0) == "undefined")
{
parent.tb0.focus();
}
else
{
tb0.focus();
}
gTopObj.main.fnSetGlobalVariable("gCurObjectId", "tb0");
}
}
function fnSetFocus2NavigationPanel()
{
if (gTopObj.applet.gEventsEnabled)
{
if (typeof(tb2) == "undefined")
{
parent.tb2.focus();
}
else
{
tb2.focus();
}
gTopObj.applet.gPreviousSelectedItemID = "";
gTopObj.main.fnSetGlobalVariable("gCurObjectId", "tb2");
g_ignoreChangeColor                    = 1;
}
}
function fnToggle_S(aObjId)
{
	
	var vCurImg  = document.getElementById(aObjId);
	var vImgName = vCurImg.src;
	
	
	var vGroupId = vCurImg.groupid;
if (vGroupId != '')
{
fnProcessRadio(vCurImg);
}
else
{
if (vCurImg.entryaccessible == "N")
{
return;
}
	
	switch (vImgName)
{
case gTopObj.applet.g_ichkd.src:
fnDisableWindow();
vCurImg.src          = gTopObj.applet.g_ibluenchkd.src;
vCurImg.title        = g_toolTipObj.docbluenosel;
vCurImg.docselected  = "0";
vCurImg.entrytouched = "Y";
fnCommandListAdd("docselect=0",  aObjId.substring(3));
fnCommandListAdd("entrytouched", aObjId.substring(3));
if (vCurImg.parentNode.parentNode.nextSibling != null)
if (vCurImg.parentNode.parentNode.nextSibling.nodeName == "TR")
fnDeActivateChilds(vCurImg.parentNode.parentNode.nextSibling.childNodes[1].childNodes[0].childNodes[1]);
fnParentRemActionRequired(vCurImg.parentNode.parentNode.parentNode.parentNode.parentNode.parentNode.previousSibling);
fnEnableWindow();
			break;
case gTopObj.applet.g_inchkd.src:
fnDisableWindow();
if (vCurImg.actionrequired == "Y")
{
vCurImg.src   = gTopObj.applet.g_iredchkd.src;
vCurImg.title = g_toolTipObj.docredsel;
}
else
{
vCurImg.src   = gTopObj.applet.g_ibluechkd.src;
vCurImg.title = g_toolTipObj.docbluesel;
}
vCurImg.docselected  = "2";
vCurImg.entrytouched = "Y"
fnCommandListAdd("docselect=2",  aObjId.substring(3));
fnCommandListAdd("entrytouched", aObjId.substring(3));
if (vCurImg.parentNode.parentNode.nextSibling != null)
if (vCurImg.parentNode.parentNode.nextSibling.nodeName == "TR")
fnActivateChilds(vCurImg.parentNode.parentNode.nextSibling.childNodes[1].childNodes[0].childNodes[1]);
if (vCurImg.actionrequired == "Y")
{
fnParentSetActionRequired(vCurImg);
}
fnParentRemActionRequired(vCurImg.parentNode.parentNode.parentNode.parentNode.parentNode.parentNode.previousSibling);
fnEnableWindow();
			break;
case gTopObj.applet.g_ibluechkd.src:
fnDisableWindow();
vCurImg.src         = gTopObj.applet.g_ibluenchkd.src;
vCurImg.title       = g_toolTipObj.docbluenosel;
vCurImg.docselected = "0";
fnCommandListAdd("docselect=0", aObjId.substring(3));
if (vCurImg.parentNode.parentNode.nextSibling != null)
if (vCurImg.parentNode.parentNode.nextSibling.nodeName == "TR")
fnDeActivateChilds(vCurImg.parentNode.parentNode.nextSibling.childNodes[1].childNodes[0].childNodes[1]);
fnEnableWindow();
break;
case gTopObj.applet.g_ibluenchkd.src:
fnDisableWindow();
if (vCurImg.actionrequired == "Y")
{
vCurImg.src   = gTopObj.applet.g_iredchkd.src;
vCurImg.title = g_toolTipObj.docredsel;
}
else
{
vCurImg.src   = gTopObj.applet.g_ibluechkd.src;
vCurImg.title = g_toolTipObj.docbluesel;
}
vCurImg.docselected = "2";
fnCommandListAdd("docselect=2", aObjId.substring(3));
if (vCurImg.parentNode.parentNode.nextSibling != null)
if (vCurImg.parentNode.parentNode.nextSibling.nodeName == "TR")
fnActivateChilds(vCurImg.parentNode.parentNode.nextSibling.childNodes[1].childNodes[0].childNodes[1]);
if (vCurImg.actionrequired == "Y")
{
fnParentSetActionRequired(vCurImg);
}
fnEnableWindow();
break;
case gTopObj.applet.g_iredchkd.src:
fnDisableWindow();
vCurImg.src          = gTopObj.applet.g_ibluenchkd.src;
vCurImg.title        = g_toolTipObj.docbluenosel;
vCurImg.docselected  = "0";
vCurImg.entrytouched = "Y";
fnCommandListAdd("docselect=0", aObjId.substring(3));
fnCommandListAdd("entrytouched", aObjId.substring(3));
if (vCurImg.parentNode.parentNode.nextSibling != null)
if (vCurImg.parentNode.parentNode.nextSibling.nodeName == "TR")
fnDeActivateChilds(vCurImg.parentNode.parentNode.nextSibling.childNodes[1].childNodes[0].childNodes[1]);
fnParentRemActionRequired(vCurImg.parentNode.parentNode.parentNode.parentNode.parentNode.parentNode.previousSibling);
fnEnableWindow();
break;
		default:
			break;
	}
}
}
function fnProcessRadio(vCurImg)
{
var vImgId   = vCurImg.id;
	var vImgName = vCurImg.src;
	switch (vImgName)
{
case gTopObj.applet.g_rbnosel.src:
fnDisableWindow();
if (vCurImg.actionrequired == "Y")
{
vCurImg.src   = gTopObj.applet.g_rbredsel.src;
vCurImg.title = g_toolTipObj.docredsel;
g_swap_imbg   = gTopObj.applet.g_rbredsel.src;
}
else
{
vCurImg.src   = gTopObj.applet.g_rbbluesel.src;
vCurImg.title = g_toolTipObj.docbluesel;
g_swap_imbg   = gTopObj.applet.g_rbbluesel.src;
}
vCurImg.docselected  = "2";
vCurImg.entrytouched = "Y"
fnCommandListAdd("docselect=2",  vImgId.substring(3));
fnCommandListAdd("entrytouched", vImgId.substring(3));
fnChangeGroup(vCurImg);
fnEnableWindow();
			break;
			
case gTopObj.applet.g_rbbluenosel.src:
fnDisableWindow();
if (vCurImg.actionrequired == "Y")
{
vCurImg.src   = gTopObj.applet.g_rbredsel.src;
vCurImg.title = g_toolTipObj.docredsel;
g_swap_imbg   = gTopObj.applet.g_rbredsel.src;
}
else
{
vCurImg.src   = gTopObj.applet.g_rbbluesel.src;
vCurImg.title = g_toolTipObj.docbluesel;
g_swap_imbg   = gTopObj.applet.g_rbbluesel.src;
}
vCurImg.docselected  = "2";
fnCommandListAdd("docselect=2",  vImgId.substring(3));
fnChangeGroup(vCurImg);
fnEnableWindow();
			break;
		default:
			break;
	}
}
function fnChangeGroup(vCurImg)
{
var vGroupId = vCurImg.groupid;
var vImgId   = vCurImg.id;
var vImgName = vCurImg.src;
var coll = null;
var i;
coll = document.all.tags("img");
for (i = 0; i < coll.length; i++)
{
if ( (coll[i].id.substring(0,2) == "is") &&
(coll[i].groupid == vGroupId) &&
(coll[i].id != vImgId)
)
{
fnDeselectRadio(document.getElementById(coll[i].id));
}
}
}
function fnDeselectRadio(vCurImg)
{
var vImgName = vCurImg.src;
var vImgId   = vCurImg.id;
switch (vImgName)
{
			
case (gTopObj.applet.g_rbsel.src):
fnDisableWindow();
vCurImg.src          = gTopObj.applet.g_rbbluenosel.src;
vCurImg.title        = g_toolTipObj.docbluenosel;
vCurImg.docselected  = "0";
vCurImg.entrytouched = "Y";
fnCommandListAdd("docselect=0",  vImgId.substring(3));
fnCommandListAdd("entrytouched", vImgId.substring(3));
fnEnableWindow();
			break;
case (gTopObj.applet.g_rbbluesel.src):
fnDisableWindow();
vCurImg.src          = gTopObj.applet.g_rbbluenosel.src;
vCurImg.title        = g_toolTipObj.docbluenosel;
vCurImg.docselected = "0";
fnCommandListAdd("docselect=0", vImgId.substring(3));
fnEnableWindow();
			break;
case (gTopObj.applet.g_rbredsel.src):
fnDisableWindow();
vCurImg.src          = gTopObj.applet.g_rbbluenosel.src;
vCurImg.title        = g_toolTipObj.docbluenosel;
vCurImg.docselected  = "0";
vCurImg.entrytouched = "Y";
fnCommandListAdd("docselect=0", vImgId.substring(3));
fnCommandListAdd("entrytouched", vImgId.substring(3));
fnEnableWindow();
			break;
		default:
			break;
}
}
function fnToggle_X(aObjId)
{
var vImgTmp = null;
var vCssStyle;
var vCssDisplay;
vChildId = fnNextLogicalChildRow(aObjId);
vCssObj = document.getElementById(vChildId);
if (vCssObj)
{
vImgTmp = document.getElementById(aObjId);
vImgISTmp = document.getElementById("is-" + aObjId.substring(3));
if (vImgTmp == null)
{
return;
}
}
else
{
vCssObj = parent.document.getElementById(vChildId);
vImgTmp = parent.document.getElementById(aObjId);
vImgISTmp = parent.document.getElementById("is-" + aObjId.substring(3));
if (vImgTmp == null)
{
return;
}
}
aObjId = aObjId.substring(3);
if (vCssObj == null)
{
switch(vImgTmp.src)
{
case  gTopObj.applet.g_iplusend.src :
vImgTmp.src   = gTopObj.applet.g_iminusend.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docminus;
fnCommandListAdd("expand", aObjId);
break;
case  gTopObj.applet.g_iplusendi.src :
vImgTmp.src   = gTopObj.applet.g_iminusendi.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docminus;
fnCommandListAdd("expand", aObjId);
break;
case  gTopObj.applet.g_ichangeminusend.src :
vImgTmp.src =  gTopObj.applet.g_ichangeplusend.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_ichangeminusendi.src :
vImgTmp.src =  gTopObj.applet.g_ichangeplusendi.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_ichangeminus.src :
vImgTmp.src =  gTopObj.applet.g_ichangeplus.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_ichangeminusi.src :
vImgTmp.src =  gTopObj.applet.g_ichangeplusi.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_ichangeplusend.src :
vImgTmp.src   =  gTopObj.applet.g_ichangeminusend.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docminus;
fnCommandListAdd("expand", aObjId);
break;
case gTopObj.applet.g_ichangeplusendi.src :
vImgTmp.src   =  gTopObj.applet.g_ichangeminusendi.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docminus;
fnCommandListAdd("expand", aObjId);
break;
case gTopObj.applet.g_ichangeplus.src :
vImgTmp.src =  gTopObj.applet.g_ichangeminus.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docminus;
fnCommandListAdd("expand", aObjId);
break;
case gTopObj.applet.g_ichangeplusi.src :
vImgTmp.src =  gTopObj.applet.g_ichangeminusi.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docminus;
fnCommandListAdd("expand", aObjId);
break;
case gTopObj.applet.g_iminusstopend.src :
vImgTmp.src =  gTopObj.applet.g_iplusstopend.src
vImgTmp.title = gTopObj.main.g_toolTipObj.ltdplusnotaccessble;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_iminusstop.src :
vImgTmp.src =  gTopObj.applet.g_iplusstop.src
vImgTmp.title = gTopObj.main.g_toolTipObj.ltdplusnotaccessble;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_iplusstopend.src :
vImgTmp.src   =  gTopObj.applet.g_iminusstopend.src
vImgTmp.title = gTopObj.main.g_toolTipObj.ltdminusnotaccessble;
fnCommandListAdd("expand", aObjId);
break;
case gTopObj.applet.g_iplusstop.src :
vImgTmp.src =  gTopObj.applet.g_iminusstop.src
vImgTmp.title = gTopObj.main.g_toolTipObj.ltdminusnotaccessble;
fnCommandListAdd("expand", aObjId);
break;
case gTopObj.applet.g_iminusend.src :
vImgTmp.src =  gTopObj.applet.g_iplusend.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_iminusendi.src :
vImgTmp.src =  gTopObj.applet.g_iplusendi.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCom
case gTopObj.applet.g_iminus.src :
vImgTmp.src =  gTopObj.applet.g_iplus.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_iminusi.src :
vImgTmp.src =  gTopObj.applet.g_iplusi.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
default:
vImgTmp.src   = gTopObj.applet.g_iminus.src;
vImgTmp.title = gTopObj.main.g_toolTipObj.docminus;
fnCommandListAdd("expand", aObjId);
break;
}
return;
}
vCssStyle = vCssObj.style;
vCssDisplay = vCssStyle.display;
if (vCssDisplay == "none" || vCssDisplay == "")
{
switch (vImgTmp.src)
{
case  gTopObj.applet.g_iplusend.src :
vImgTmp.src       = gTopObj.applet.g_iminusend.src
vImgTmp.title     = gTopObj.main.g_toolTipObj.docminus;
vCssStyle.display = "inline";
fnCommandListAdd("expand", aObjId);
break;
case  gTopObj.applet.g_iplusendi.src :
vImgTmp.src       = gTopObj.applet.g_iminusendi.src
vImgTmp.title     = gTopObj.main.g_toolTipObj.docminus;
vCssStyle.display = "inline";
fnCommandListAdd("expand", aObjId);
break;
case  gTopObj.applet.g_iminusend.src :
vImgTmp.src       = gTopObj.applet.g_iplusend.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docplus;
vCssStyle.display = "none";
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_iminusendi.src :
vImgTmp.src       = gTopObj.applet.g_iplusendi.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docplus;
vCssStyle.display = "none";
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_iminus.src :
vImgTmp.src       = gTopObj.applet.g_iplus.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docplus;
vCssStyle.display = "none";
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_iminusi.src :
vImgTmp.src       = gTopObj.applet.g_iplusi.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docplus;
vCssStyle.display = "none";
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_ichangeminusend.src :
vImgTmp.src       = gTopObj.applet.g_ichangeplusend.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docplus;
vCssStyle.display = "none";
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_ichangeminusendi.src :
vImgTmp.src       = gTopObj.applet.g_ichangeplusendi.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docplus;
vCssStyle.display = "none";
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_ichangeminus.src :
vImgTmp.src       = gTopObj.applet.g_ichangeplus.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docplus;
vCssStyle.display = "none";
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_ichangeminusi.src :
vImgTmp.src       = gTopObj.applet.g_ichangeplusi.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docplus;
vCssStyle.display = "none";
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_ichangeplus.src :
vImgTmp.src       = gTopObj.applet.g_ichangeminus.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docminus;
vCssStyle.display = "inline";
fnCommandListAdd("expand", aObjId);
break;
case  gTopObj.applet.g_ichangeplusi.src :
vImgTmp.src       = gTopObj.applet.g_ichangeminusi.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docminus;
vCssStyle.display = "inline";
fnCommandListAdd("expand", aObjId);
break;
case  gTopObj.applet.g_ichangeplusend.src :
vImgTmp.src       = gTopObj.applet.g_ichangeminusend.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docminus;
vCssStyle.display = "inline";
fnCommandListAdd("expand", aObjId);
break;
case  gTopObj.applet.g_ichangeplusendi.src :
vImgTmp.src       = gTopObj.applet.g_ichangeminusendi.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docminus;
vCssStyle.display = "inline";
fnCommandListAdd("expand", aObjId);
break;
case  gTopObj.applet.g_iminusstopend.src :
vImgTmp.src       = gTopObj.applet.g_iplusstopend.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.ltdplusnotaccessble;
vCssStyle.display = "none";
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_iminusstop.src :
vImgTmp.src       = gTopObj.applet.g_iplusstop.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.ltdplusnotaccessble;
vCssStyle.display = "none";
fnCommandListAdd("collapse", aObjId);
break;
case  gTopObj.applet.g_iplusstop.src :
vImgTmp.src       = gTopObj.applet.g_iminusstop.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.ltdminusnotaccessble;
vCssStyle.display = "inline";
fnCommandListAdd("expand", aObjId);
break;
case  gTopObj.applet.g_iplusstopend.src :
vImgTmp.src       = gTopObj.applet.g_iminusstopend.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.ltdminusnotaccessble;
vCssStyle.display = "inline";
fnCommandListAdd("expand", aObjId);
break;
default:
vImgTmp.src       = gTopObj.applet.g_iminus.src;
vImgTmp.title     = gTopObj.main.g_toolTipObj.docminus;
vCssStyle.display = "inline";
fnCommandListAdd("expand", aObjId);
break;
}
}
else
{
switch (vImgTmp.src)
{
case gTopObj.applet.g_iminusend.src:
vImgTmp.src   = gTopObj.applet.g_iplusend.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_iminusendi.src:
vImgTmp.src   = gTopObj.applet.g_iplusendi.src
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_ichangeminusend.src:
vImgTmp.src   = gTopObj.applet.g_ichangeplusend.src;
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_ichangeminusendi.src:
vImgTmp.src   = gTopObj.applet.g_ichangeplusendi.src;
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_ichangeminus.src:
vImgTmp.src   = gTopObj.applet.g_ichangeplus.src;
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_ichangeminusi.src:
vImgTmp.src   = gTopObj.applet.g_ichangeplusi.src;
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_iminusstopend.src:
vImgTmp.src   = gTopObj.applet.g_iplusstopend.src;
vImgTmp.title = gTopObj.main.g_toolTipObj.ltdplusnotaccessble;
fnCommandListAdd("collapse", aObjId);
break;
case gTopObj.applet.g_iminusstop.src:
vImgTmp.src   = gTopObj.applet.g_iplusstop.src;
vImgTmp.title = gTopObj.main.g_toolTipObj.ltdplusnotaccessble;
fnCommandListAdd("collapse", aObjId);
break;
default:
vImgTmp.src   = gTopObj.applet.g_iplus.src;
vImgTmp.title = gTopObj.main.g_toolTipObj.docplus;
fnCommandListAdd("collapse", aObjId);
break;
}
vCssStyle.display = "none";
}
if (window.event != null)
{
if ( (tb1.offsetTop - window.event.clientY) < 50 )
{
for (var i=0; i<2; i++)
{
tf0.doScroll("down");
}
}
}
if (vImgISTmp != null)
{
if (vImgISTmp.actionrequired == "Y")
{
if( !fnCheckActreqAttrOfChilds(vImgISTmp.parentNode.parentNode.nextSibling.childNodes[1].childNodes[0].childNodes[1]) )
{
vImgISTmp.actionrequired = "N";
vImgISTmp.entrytouched   = "Y";
fnCommandListAdd("noactionrequired", aObjId);
fnCommandListAdd("entrytouched", aObjId);
var vSaveGTreeMainSelect = gTopObj.applet.gTreeMainSelect;
gTopObj.applet.gTreeMainSelect = aObjId;
fnChangeActualCheckbox();
fnParentRemActionRequired(vImgISTmp.parentNode.parentNode.parentNode.parentNode.parentNode.parentNode.previousSibling);
gTopObj.applet.gTreeMainSelect = vSaveGTreeMainSelect;
}
}
}
}
function fnWhereToGo(aCurrentObject, aBackwardDirection)
{
switch(aCurrentObject)
{
case "tb0":
case "tre":
case "mt-":
case "td-":
if (aBackwardDirection == false)
fnSetFocus2ButtonPanel();
else
fnSetFocus2NavigationPanel();
break;
case "tb1":
if (aBackwardDirection == false)
fnSetFocus2NavigationPanel();
else
fnSetFocus2MainPanel();
break;
case "bod":
case "tb2":
case "nt-":
if (aBackwardDirection == false)
fnSetFocus2MainPanel();
else
fnSetFocus2ButtonPanel();
break;
default:
break;
}
fnIgnoreEvent();
}
function fnActivateChilds(tbody)
{
var child;
var i = 0;
var setParentActionrequired = "N";
if ( tbody != null )
if ( tbody.hasChildNodes() )
{
do
{
if (tbody.childNodes[i] != null)
if (tbody.childNodes[i].nodeName == "TR")
if (tbody.childNodes[i].childNodes[0].childNodes[1] != null)
{
child = tbody.childNodes[i].childNodes[0].childNodes[1];
if (child.id != null)
{
if (child.id.substring(0,3) == "is-")
if (child.docselected == "0")
{
if (child.selprot == "Y")
{
if (child.entrytouched == "N")
child.src = gTopObj.applet.g_igreynchkd.src;
else
child.src = gTopObj.applet.g_ibluegreynchkd.src;
}
else
{
if (child.entrytouched == "N")
child.src = gTopObj.applet.g_inchkd.src;
else
child.src = gTopObj.applet.g_ibluenchkd.src;
}
}
else
{
if (child.actionrequired == "Y")
{
if (child.selprot == "Y" || child.selind == "2")
{
child.src = gTopObj.applet.g_iredblackgreychkd.src;
setParentActionrequired = "Y";
}
else
{
child.src = gTopObj.applet.g_iredchkd.src;
setParentActionrequired = "Y";
}
}
else
{
if (child.entrytouched == "Y")
{
if (child.selprot == "Y" || child.selind == "2")
child.src = gTopObj.applet.g_iblueblackgreychkd.src;
else
child.src = gTopObj.applet.g_ibluechkd.src;
}
else
{
if (child.selprot == "Y" || child.selind == "2")
child.src = gTopObj.applet.g_iblackgreychkd.src;
else
child.src = gTopObj.applet.g_ichkd.src;
}
}
child.docselected = "2";
fnCommandListAdd("docselect=2", child.id.substring(3));
if (child.parentNode.parentNode.nextSibling != null)
if (child.parentNode.parentNode.nextSibling.nodeName == "TR")
fnActivateChilds(child.parentNode.parentNode.nextSibling.childNodes[1].childNodes[0].childNodes[1]);
if (child.actionrequired == "Y")
setParentActionrequired = "Y";
}
}
}
i++;
} while (tbody.childNodes[i-1] != null);
if (setParentActionrequired == "Y")
{
var parent = tbody.parentNode.parentNode.parentNode.previousSibling.childNodes[0].childNodes[1];
if (parent.selprot == "Y" || parent.selind == "2")
{
parent.src            = gTopObj.applet.g_iredblackgreychkd.src;
parent.actionrequired = "Y";
fnCommandListAdd("actionrequired", parent.id.substring(3));
}
else if (parent.selprot == "N" && parent.selind != "2")
{
parent.src = gTopObj.applet.g_iredchkd.src;
parent.actionrequired = "Y";
fnCommandListAdd("actionrequired", parent.id.substring(3));
}
}
}
}
function fnDeActivateChilds(tbody)
{
var child;
var i = 0;
if ( tbody != null )
if ( tbody.hasChildNodes() )
{
do
{
if (tbody.childNodes[i] != null)
if (tbody.childNodes[i].nodeName == "TR")
if (tbody.childNodes[i].childNodes[0].childNodes[1] != null)
{
child = tbody.childNodes[i].childNodes[0].childNodes[1];
if (child.id != null)
{
if (child.id.substring(0,3) == "is-")
if (child.docselected == "0")
{
if (child.entrytouched == "N")
child.src = gTopObj.applet.g_igreynchkd.src;
else
child.src = gTopObj.applet.g_ibluegreynchkd.src;
}
else
{
if (child.entrytouched == "N")
child.src = gTopObj.applet.g_igreychkd.src;
else
child.src = gTopObj.applet.g_ibluegreychkd.src;
child.docselected = "1";
fnCommandListAdd("docselect=1", child.id.substring(3));
if (child.parentNode.parentNode.nextSibling != null)
if (child.parentNode.parentNode.nextSibling.nodeName == "TR")
fnDeActivateChilds(child.parentNode.parentNode.nextSibling.childNodes[1].childNodes[0].childNodes[1]);
}
}
}
i++;
} while (tbody.childNodes[i-1] != null);
}
}
function fnCheckActreqAttrOfChilds(tbody)
{
var child;
var i = 0;
if ( tbody != null )
if ( tbody.hasChildNodes() )
{
do
{
if (tbody.childNodes[i] != null)
if (tbody.childNodes[i].nodeName == "TR")
if (tbody.childNodes[i].childNodes[0].childNodes[1] != null)
{
child = tbody.childNodes[i].childNodes[0].childNodes[1];
if (child.id != null)
{
if (child.id.substring(0,3) == "is-")
{
if (child.actionrequired == "Y")
{
return true;
}
}
}
}
i++;
} while (tbody.childNodes[i-1] != null);
}
return false;
}
function fnParentRemActionRequired(tr)
{
var parent;
var tbody;
var child;
var modifyParent = "Y";
var i = 0;
if (tr.childNodes[0].childNodes[1] != null)
{
parent = tr.childNodes[0].childNodes[1];
if (parent.actionrequired == "Y")
{
tbody = tr.nextSibling.childNodes[1].childNodes[0].childNodes[1];
do
{
if (tbody.childNodes[i] != null)
if (tbody.childNodes[i].nodeName == "TR")
if (tbody.childNodes[i].childNodes[0].childNodes[1] != null)
{
child = tbody.childNodes[i].childNodes[0].childNodes[1];
if (child.id != null)
{
if (child.id.substring(0,3) == "is-")
if (child.actionrequired == "Y" && child.docselected == "2")
{
modifyParent = "N";
}
}
}
i++;
} while (tbody.childNodes[i-1] != null && modifyParent == "Y");
if (modifyParent == "Y")
{
if (parent.selprot == "Y" || parent.selind == "2")
{
parent.src = gTopObj.applet.g_iblackgreychkd.src;
}
else
{
if (parent.entrytouched == "Y")
parent.src = gTopObj.applet.g_ibluechkd.src;
else
parent.src = gTopObj.applet.g_ichkd.src;
}
parent.actionrequired = "N";
fnCommandListAdd("noactionrequired", parent.id.substring(3));
fnParentRemActionRequired(parent.parentNode.parentNode.parentNode.parentNode.parentNode.parentNode.previousSibling);
}
}
}
}
function fnParentSetActionRequired(aCurObj)
{
var parentId;
var idArray;
var parent = null;
idArray = aCurObj.id.split("-");
if (idArray.length > 2)
{
parentId = idArray[0];
for (var i=1; i<idArray.length-1; i++)
{
parentId = parentId + "-" + idArray[i];
}
parent =  document.getElementById(parentId);
if (parent != null && parent.actionrequired != "Y")
{
if (parent.selprot == "Y" || parent.selind == "2")
{
parent.src = gTopObj.applet.g_iredblackgreychkd.src;
}
else if (parent.selprot == "N" && parent.selind != "2")
{
parent.src = gTopObj.applet.g_iredchkd.src;
}
parent.actionrequired = "Y";
fnCommandListAdd("actionrequired", parent.id.substring(3));
fnParentSetActionRequired(parent);
}
}
}
function fnPostAsyncSvrRequest(aRequestName)
{
fnProcessAsyncSvrRequest(false, aRequestName);
}
function fnSendAsyncSvrRequest(aRequestName)
{
fnProcessAsyncSvrRequest(true, aRequestName);
}
function fnProcessAsyncSvrRequest(aSendReq, aRequestName)
{
var vCommandList;
var vHref;
var vResult;
var vUseParent;
vUseParent = fnDisableWindow();
if (gTopObj.main.g_InsertParagraphWindow != null)
{
gTopObj.main.g_InsertParagraphWindow.close();
gTopObj.main.g_InsertParagraphWindow = null;
}
var vIgnoreSearchCloseWindow = "";
if(this.name == "main")
{
vIgnoreSearchCloseWindow = fnGetString("IgnoreSearchCloseWindow");
}
else
{
vIgnoreSearchCloseWindow = parent.fnGetString("IgnoreSearchCloseWindow");
}
if (vIgnoreSearchCloseWindow == "no" )
{
if (gTopObj.main.g_SearchResultWindow != null)
{
gTopObj.main.g_SearchResultWindow.close();
gTopObj.main.g_SearchResultWindow = null;
}
}
else
{
gTopObj.main.fnSaveString("IgnoreSearchCloseWindow", "no");
}
vCommandList = fnCommandListGet();
gTopObj.main.fnSave4PostRequest("commandlist=" + vCommandList);
fnCommandListDelete();
gTopObj.applet.gPreviousSelectedItemID = "";
vHref = "cm=" + aRequestName;
if (aSendReq)
{
if(this.name == "main")
vResult = fnSendAsyncReqToServlet(aRequestName, vHref);
else
vResult = parentg.fnSendAsyncReqToServlet(aRequestName, vHref);
}
else
{
if(this.name == "main")
vResult = fnPostAsyncReqToServlet(aRequestName, vHref);
else
vResult = parent.fnPostAsyncReqToServlet(aRequestName, vHref);
}
if (vResult == false)
{
fnEnableWindow();
}
}
function fnProcessSyncSvrRequest(aRequestName, aCommand)
{
var vHref;
var vResult;
var vRC = true;
var vUseParent;
var vMsg2Show;
var vDebug = false;
vUseParent = fnDisableWindow();
vHref = "cm=" + aRequestName;
vResult = fnTalkToServlet(vHref, aCommand);
if ( vResult.length > 4 )
{
vMsg2Show = vResult.substr(5);
if (vMsg2Show != null && vMsg2Show.length > 0)
{
vRC = false;
}
}
vResult = aRequestName + "-XX-" + vResult;
if ( vDebug == true )
{
alert("docasfcommon.js fnProcessSyncSvrRequest() aRequestName,aCommand,vResult=" + aRequestName + "," + aCommand +  "," + vResult);
}
fnProcessPostResult(vResult);
fnEnableWindow();
return(vRC);
}
function fnProcessPostResult(aResultString)
{
var vDoReload   = true;
var vMsg2Show   = null;
var vStatusInfo;
var vPrefix;
var vPrefixStart;
var vResultString;
var vCmd2Process = null;
vPrefixStart = aResultString.indexOf("-XX-");
if (vPrefixStart > -1)
{
vCmd2Process  = aResultString.substring(0, vPrefixStart);
aResultString = aResultString.substring(vPrefixStart+4);
}
vStatusInfo = aResultString.substr(0,4);
vMsg2Show = aResultString.substr(5);
switch(vStatusInfo.substr(1,1))
{
case "E":
fnWindowStatusSetText("doc3459 " + aResultString);
if (aResultString.substr(5, 11) == "APPLETERROR" ||
aResultString.substr(5,  6) == "IOEXPT")
{
aResultString = vStatusInfo + " " + alertConnection2ServerInterrupted;
}
vCmd2Process = null;
break;
case "I":
case "W":
default:
break;
}
switch(vStatusInfo.substr(0,1))
{
case "U":
vStatusInfo  = "R" + vStatusInfo.substr(1,3);
vDoReload    = true;
vCmd2Process = null;
if (vMsg2Show.length > 0)
{
fnSetGlobalVariable("PendingMsg", aResultString);
}
else
{
vMsg2Show = null;
}
break;
case "R":
if (vMsg2Show.length > 0)
{
fnSetGlobalVariable("PendingMsg", aResultString);
}
else
{
vMsg2Show = null;
}
vDoReload = true;
break;
case "N":
fnEnableWindow();
vDoReload = false;
if (vMsg2Show.length > 0)
{
switch(vCmd2Process)
{
case "standalonegetsp":
case "listgetsp":
case "listgetltd":
case "retrievesearchresult":
case "lrrgetsp":
case "lrrupdate":
case "getspsearchparameters":
case "getspsearchresults":
case "getpropertiesbykey":
case "getpropertiesbycoor":
case "listoptparagraphs":
case "lrrsave":
case "parametersave":
break;
default:
fnDisplayServerMessage(aResultString);
vMsg2Show = null;
break;
}
}
else
{
vMsg2Show = null;
}
break;
case "A":
fnEnableWindow();
fnDisplayServerMessage(aResultString);
fnAbort(aResultString);			
vDoReload = false;
break;
case "I":
case "S":
fnEnableWindow();
break;
case "B":
default:
fnEnableWindow();
fnDisplayServerMessage(aResultString);
vMsg2Show    = null;
vCmd2Process = null;
vDoReload    = false;
break;
}
switch(vCmd2Process)
{
case "commandline":
if (  typeof(fnGetGlobalVariable("gFirstInLrr")) != "undefined" )
{
fnSetGlobalVariable("gFirstInLrr", "Y");
}
switch(vStatusInfo.substr(0,1))
{
case "I":
vDoReload = false;
fnLoadInfoWindow(null);
break;
case "S":
vDoReload = false;
var vTitleIndex = vMsg2Show.indexOf("<![");
var vEditorTitle = "";
if (vTitleIndex > -1)
{
vEditorTitle  = vMsg2Show.substring(0, vTitleIndex);
vMsg2Show = vMsg2Show.substring(vTitleIndex);
}
fnSaveString("Editortitle", vEditorTitle);
fnLoadModalEditor(vMsg2Show);
break;
case "R":
vDoReload = true;
break;
default:
vDoReload = false;
break;
}
break;
case "exit1":
case "exit2":
vDoReload = true;
break;
case "lrrresume":
fnSetGlobalVariable("gFirstInLrr", "Y");
break;
case "lrrupdate":
if (  typeof(fnGetGlobalVariable("gFirstInLrr")) != "undefined" )
{
fnSetGlobalVariable("gFirstInLrr", "Y");
}
if (vMsg2Show != null)
{
gTopObj.applet.gTreeMainSelect = fnGetGlobalVariable("copy_of_g_treemainselect");
fnSetGlobalVariable("copy_of_g_treemainselect","");
fnSetGlobalVariable("EntryItemToBeHighlighted", "");
if (vMsg2Show.substring(0, 7) == "FSN396I")
{
g_nfparNlsObj.Question = g_nfparNlsObj.QuestionStart + " '" + g_TryToInsertBB + "' " + g_nfparNlsObj.QuestionEnd;
vYesSelected = processYesCancelDialog(g_nfparNlsObj);
if (vYesSelected)
{
fnShowFind();
}
else
{
g_TryToInsertBB = "";
}
}
else
{
fnDisplayServerMessage(aResultString);
g_TryToInsertBB = "";
}
vDoReload = false;
}
break;
case "menuselect":
if ( g_MenuEntry != "Menu" )
{
if ( ( g_MenuEntry == null ) && ( typeof(g_rettostore) != "undefined") &&( g_rettostore != null ))
{
}
else
{
if (  typeof(fnGetGlobalVariable("gFirstInLrr")) != "undefined" )
{
if ( typeof(g_rettostore) != "undefined" )
{
if ( g_rettostore != null )
{
fnSetGlobalVariable("gFirstInLrr", "N");
}
else
{
fnSetGlobalVariable("gFirstInLrr", "Y");
}
}
}
fnSaveString("SaveOwner", "");
fnSaveString("SaveName", "");
fnSaveString("SaveSubject", "");
}
}
if (  typeof(g_rettostore) != "undefined" )
{
if ( g_rettostore != null )
{
g_rettostore = null;
}
}
switch(g_MenuEntry)
{
case "Info":
vDoReload = false;
fnLoadInfoWindow(null);
break;
case "LTD":
case "ATD":
case "Menu":
case "SP":
default:
break;
}
break;
case "gethelp":
if (vDoReload &&
vMsg2Show == null)
{
fnShowContextHelp(null);
}
vDoReload = false;
break;
case "getpropertiesbykey":
case "getpropertiesbycoor":
if (vMsg2Show != null)
{
if (vMsg2Show.substring(0, 3) == "FSN")
{
fnDisplayServerMessage(aResultString);
vMsg2Show = null;
break;
}
}
vDoReload = false;
fnShowProperties(null, null, null);
break;
case "storesptext":
if (vMsg2Show != null)
{
fnDisplayServerMessage(aResultString);
vMsg2Show = null;
}
fnSetGlobalVariable("PendingMsg", "");
vDoReload = false;
break;
case "lrrgetsp":
if (vMsg2Show != null)
{
if (vMsg2Show.substring(0, 3) == "FSN")
{
fnDisplayServerMessage(aResultString);
vMsg2Show = null;
break;
}
}
vDoReload = false;
if (g_EditorObj == null)
{
fnGetSPResult(vMsg2Show);
}
else if(g_EditorObj == "close")
{
}
else
{
for (var count=1; count <=5; count++)
{
button = document.getElementById(g_EditorObj.id+"bt"+count);
if ( button )
{
button.disabled = false;
}
}
setNewEditorText(g_EditorObj, vMsg2Show);
}
g_EditorObj = null;
break;
case "standalonegetsp":
case "listgetsp":
vDoReload = false;
if (vMsg2Show != null)
{
if (vMsg2Show.substring(0, 3) == "FSN")
{
fnDisplayServerMessage(aResultString);
vMsg2Show = null;
if (g_SearchResultTransData == null)
{
g_SearchResultTransData = parent.g_SearchResultTransData;
}
if (g_SearchResultTransData != null)
{
if (!g_SearchResultTransData.closed)
{
g_SearchResultTransData.DialogWindow.enableSearchResultWindow();
g_SearchResultTransData.DialogWindow.fnSetFocus2MainPanel();
}
}
break;
}
else
{
fnLoadModalEditor(vMsg2Show);
}
}
break;
case "listgetltd":
case "retrievesearchresult":
if (g_SearchResultTransData == null)
{
g_SearchResultTransData = parent.g_SearchResultTransData;
}
if (g_SearchResultTransData != null)
{
g_SearchResultTransData.DialogWindow.fnRefillSearchResultWindow(vMsg2Show);
}
break;
case "getspsearchresults":
vDoReload = false;
if (vMsg2Show != null &&
vMsg2Show.length > 0)
{
fnDisplayServerMessage(aResultString);
if (g_FindWindow != null)
{
g_FindWindow.fnEnableDialog();
g_FindWindow.focus();
}
}
else
{
if (g_FindWindow != null)
{
g_FindWindow.fnEnableDialog();
g_FindWindow.close();
g_FindWindow = null;
}
fnShowSearchResult();
}
break;
case "getspsearchparameters":
vDoReload = false;
if (vMsg2Show != null && vMsg2Show.length > 0)
{
g_TryToInsertBB = "";
fnDisplayServerMessage(aResultString);
}
else
{
fnShowFindDialog();
}
break;
case "listoptparagraphs":
vDoReload = false;
if (vMsg2Show != null && vMsg2Show.length > 0)
{
g_TryToInsertBB = "";
fnDisplayServerMessage(aResultString);
}
else
{
fnShowOptionalParagraphsDialog();
}
break;
case "termquickpreview" :
case "parameterquickpreview" :
case "lrrquickpreview" :
if (vDoReload)
{
fnLoadPreviewWindow("QuickPreview",null);
}
vDoReload = false;
break;
case "lrrpreview" :
case "parameterpreview" :
case "termpreview" :
if (vDoReload)
{
fnLoadPreviewWindow("PrintPreview",null);
}
vDoReload = false;
break;
case "lrrsave":
case "parametersave":
vDoReload = false;
fnDisplayServerMessage(aResultString);
fnSetFocus2Object(fnGetGlobalVariable("gCurObjectId"));
break;
case "releasesearchresult":
break;
default:
break;
}
if (vDoReload)
{
fnSendToServer("reload");
}
switch(vCmd2Process)
{
case "gethelp":
case "getpropertiesbykey":
case "getpropertiesbycoor":
case "lrrgetsp":
case "standalonegetsp":
case "listgetsp":
case "listgetltd":
case "retrievesearchresult":
case "getspsearchresults":
case "getspsearchparameters":
case "termquickpreview" :
case "termpreview" :
case "lrrquickpreview" :
case "parameterquickpreview" :
case "lrrpreview" :
case "parameterpreview" :
case "lrrsave":
case "parametersave":
case "releasesearchresult":
case "storesptext":
fnEnableWindow();
break;
case "menuselect":
break;
default:
break;
}
vCmd2Process = null;
}
function fnDisplayServerMessage(aMsgToDisplay)
{
var vGIFToDisplay;
var vMsg2Show;
var vStatusInfo = aMsgToDisplay.substr(0,4);
var vHelpreq    = false;
var vSavereq    = false;
var vResponse   = null;
try
{
aMsgToDisplay = decodeURI(aMsgToDisplay);
vMsg2Show = aMsgToDisplay.substr(5);
}
catch(e)
{
if (e instanceof URIError)
{
alert("**** Error: aMsgToDisplay can not be decoded. aMsgToDisplay = " + aMsgToDisplay);
vMsg2Show = null;
}
}
switch(vStatusInfo.substr(1,1))
{
case "E":
vGIFToDisplay = "docerror.gif";
break;
case "I":
vGIFToDisplay = "docinfohint.gif";
break;
case "W":
vGIFToDisplay = "docwarning.gif";
break;
default:
vMsg2Show = null;
break;
}
if (vStatusInfo.substr(2,1) == "H")
{
if (typeof(gTopObj.applet) != "undefined")
{
vHelpreq = true;
}
}
if (vStatusInfo.substr(3,1) == "S")
{
vSavereq = true;
}
if (vMsg2Show != null)
{
vResponse = processOKDialog("", vMsg2Show, vGIFToDisplay, vHelpreq, vSavereq);
}
if (vResponse != null)
{
switch(vResponse)
{
case "help" :
var vArrMessage = aMsgToDisplay.split(" ");
if (vArrMessage[1] != null)
{
fnShowContextHelp(vArrMessage[1]);
};
break;
case "save" :
fnButtonSave("lrrsave");
break;
default:
break;
};
}
if (vStatusInfo.substr(1,1) == "E")
{
window.status = "doc3458 ";
}
}
function fnDisableWindow()
{
var vCursorObj;
var vBodyObj;
var vUseParent = false;
window.status = "Dis 1";
vBodyObj = document.getElementById("body");
if (vBodyObj == null)
{
vBodyObj   = parent.document.getElementById("body");
vUseParent = true;
}
if (g_RealButtons == true) {
fnButtonEnabled(false , vUseParent);
}
if (gTopObj.applet.gEventsEnabled)
{
window.status = "Dis 2";
gTopObj.applet.gEventsEnabled = false;
window.status = "Dis 3";
if (vBodyObj != null)
{
window.status = "Dis 4";
fnSetMousePointer(vBodyObj, "wait");
window.status = "Dis 5";
}
if (vUseParent  == false &&
g_cursorobj != null)
{
vCursorObj = document.getElementById(g_cursorobj);
if (vCursorObj != null)
{
fnSetMousePointer(vCursorObj, "wait");
}
}
}
return(vUseParent);
}
function fnEnableWindow()
{
var vCursorObj;
var vBodyObj;
var vUseParent = false;
vBodyObj = document.getElementById("body");
if (vBodyObj == null)
{
vBodyObj   = parent.document.getElementById("body");
vUseParent = true;
}
if (g_RealButtons == true) {
fnButtonEnabled(true, vUseParent);
}
if (vBodyObj != null)
{
fnSetMousePointer(vBodyObj, "default");
}
if (gTopObj.applet.gEventsEnabled == false)
{
if (vUseParent  == false &&
g_cursorobj != null)
{
vCursorObj = document.getElementById(g_cursorobj);
if (vCursorObj != null)
{
fnSetMousePointer(vCursorObj, "default");
}
}
gTopObj.applet.gEventsEnabled = true;
}
return(vUseParent);
}
function fnLoadInfoWindow(aMenuCoordinate)
{
var vWindowName = null;
var vJSessVal = fnGetCookieValue("JSESSIONID","fnLoadInfoWindow");
if (aMenuCoordinate == null)
{
var vCurObj;
var vTopcorner  = 200;
var vLeftcorner = 500;
var vCurDate    = new Date;
var vTimeStamp  = Date.parse(vCurDate.toGMTString());
var vURL;
var vParams;
g_focus_main = 1;
vCurObj = document.getElementById("tb0");
if (vCurObj != null)
{
vTopcorner  = vCurObj.offsetTop  + 130;
vLeftcorner = vCurObj.offsetLeft + 200;
}
vURL = fnGetGlobalVariable("gServerPath") + ";jsessionid=" + vJSessVal;
vURL = vURL + "?cm=reload" + "&timestamp=" + vTimeStamp + "&newwindow&sessionid=" + fnGetGlobalVariable("gSessionId");
vParams = "resizable=yes, height=400, width=500, top=" + vTopcorner+ ", left=" + vLeftcorner+ ", scrollbars=yes, menubar=no,toolbar=no, status=no";
vURL = fnSpecialEncodeURI(vURL);
vWindowName = "Info" + g_signonmode + fnNonAlphaNumToUnderscore(vJSessVal);
vStatus = gTopObj.main.open(vURL, vWindowName , vParams);
}
else
{
fnCommandListAdd("select",  aMenuCoordinate);
fnPostAsyncSvrRequest("menuselect");
}
}
function fnGetCookieValue(aCookieName,
aCallingFunction,
aCookieSource)
{
var vAllCookies;
if (typeof(aCookieSource) == "undefined")
{
vAllCookies = document.cookie;
}
else
{
vAllCookies = aCookieSource.document.cookie;
}
var vPos = vAllCookies.indexOf(aCookieName);
var vVal = "";
if (vPos > -1)
{
var vLen = aCookieName.length;
var vStartPos = vPos + vLen + 1;
var vSemicPos = vAllCookies.substring(vStartPos).indexOf(";");
if (vSemicPos == -1)
{
vSemicPos = vAllCookies.length;
}
vVal = vAllCookies.substring(vStartPos, vStartPos + vSemicPos);
}
if ((vVal == null) || (vVal == ""))
{
window.status = "** docasfcommon.js fnGetCookieValue() No JSESSIONID Cookie found. Invoking Function was + " + aCallingFunction + "**";
}
return vVal;
}
function fnLoadPreviewWindow(aMode, aCommand)
{
var vCurObj;
var vTopcorner  = 200;
var vLeftcorner = 500;
var vheight     = 600;
var vwidth      = 800;
var vCurDate    = new Date;
var vTimeStamp  = Date.parse(vCurDate.toGMTString());
var vURL;
var vParams;
var vPreviewWinObj;
var vPendingMsg;
var vWindowName = null;
var vJSessVal = fnGetCookieValue("JSESSIONID","fnLoadPreviewWindow");
if (aCommand != null)
{
fnPostAsyncSvrRequest(aCommand);
}
else
{
vCurObj = document.getElementById("tb0");
if (vCurObj != null)
{
if ( g_freetextlrr == "N" )
{
vCurObj.focus();
}
vTopcorner  = vCurObj.offsetTop  + 130;
vLeftcorner = vCurObj.offsetLeft + 100;
}
var vPreviewParamsObj = new Object();
var vUserSettings     = false;
try {
vPreviewParamsObj     = fnGetUserPrintPreviewParams("Print");
vUserSettings         = vPreviewParamsObj.userPrintPreviewSettings;
} catch (error) {
}
if ( vUserSettings ) {
vTopcorner  = vPreviewParamsObj.topCorner;
vLeftcorner = vPreviewParamsObj.leftCorner;
vheight     = vPreviewParamsObj.height;
vwidth      = vPreviewParamsObj.width;
}
else {
var vVerticalNAvail = window.screen.height - screen.availHeight;
var vHorizontalNAvail = window.screen.width - screen.availWidth;
var vTopAvailScreen     = vVerticalNAvail;
var vBottomAvailScreen  = screen.availHeight;
var vLeftAvailScreen    = vHorizontalNAvail;
var vRightAvailScreen   = screen.availWidth;
var vDiffHeight = vBottomAvailScreen - vTopAvailScreen;
var vDiffWidth  = vRightAvailScreen - vLeftAvailScreen;
if (vDiffHeight >= vheight)
{
}
else
{
vheight = vDiffHeight;
}
if (vDiffWidth >= vwidth)
{
}
else
{
vwidth = vDiffWidth;
}
var vBottomcorner = vTopcorner + vheight;
var vRightcorner  = vLeftcorner + vwidth;
if ( (vTopcorner >= vTopAvailScreen )  && (vBottomcorner <= vBottomAvailScreen) )
{
}
else if (vTopcorner <  vTopAvailScreen )
{
vTopcorner = vTopAvailScreen;
vheight = vheight - window.screen.height/24;
}
else if (vBottomcorner > vBottomAvailScreen)
{
vTopcorner = vTopcorner - vBottomcorner + vBottomAvailScreen;
vheight = vheight - window.screen.height/24;
if (vTopcorner > vTopAvailScreen)
{
vTopcorner = vTopAvailScreen + ( vTopcorner - vTopAvailScreen ) / 2;
}
}
if ( (vLeftcorner >= vLeftAvailScreen )  && (vRightcorner <= vRightAvailScreen) )
{
}
else if (vLeftcorner <  vLeftAvailScreen )
{
vLeftcorner = vLeftAvailScreen;
vwidth = vwidth - window.screen.width/24;
}
else if (vRightcorner > vRightAvailScreen)
{
vLeftcorner = vLeftcorner - vRightcorner + vRightAvailScreen;
vwidth = vwidth - window.screen.width/24;
if (vLeftcorner > vLeftAvailScreen)
{
vLeftcorner = vLeftAvailScreen + ( vLeftcorner - vLeftAvailScreen ) / 2;
}
}
}
vURL = fnGetGlobalVariable("gServerPath") + ";jsessionid=" + vJSessVal;
if (navigator.appVersion.indexOf("NT 5.1") > -1)
{
vURL = vURL + "?cm=reloadhtml";
}
else
{
vURL = vURL + "?cm=reload";
}
vURL = vURL + "&sessionid=" + fnGetGlobalVariable("gSessionId") + "&timestamp=" + vTimeStamp + "&newwindow";
vPendingMsg = fnGetGlobalVariable("PendingMsg");
if (vPendingMsg != null && vPendingMsg != "undefined" && vPendingMsg.length > 0)
{
vPendingMsg = fnEncodeURLString(vPendingMsg);
vURL = vURL + "&vPendingMsg=" + vPendingMsg + "&vCurLanguage=" + g_languageid;
fnSetGlobalVariable("PendingMsg", "");
fnSaveString("Language", "");
}
vParams = "resizable=yes, height=" + vheight+ ", width=" +  vwidth + ", top=" + vTopcorner+ ", left=" + vLeftcorner+ ", scrollbars=yes, menubar=no,toolbar=no, status=no";
vWindowName = aMode + g_signonmode + fnNonAlphaNumToUnderscore(vJSessVal);
vURL = fnSpecialEncodeURI(vURL);
vPreviewWinObj = gTopObj.main.open(vURL, vWindowName , vParams);
if (vPreviewWinObj != null)
{
vPreviewWinObj.focus();
}
else
{
}
window.unloadfunction = fnActivateMainByClick;
}
}
function fnPerformHistSelect(aNewMenu)
{
if (g_whatAmI == "param")
{
fnButtonPSelection(aNewMenu);
}
else
{
fnCommandListDelete();
fnClearPostRequestBuffer();
fnCommandListAdd("hselect", aNewMenu);
fnPostAsyncSvrRequest("menuselect");
}
}
function fnLoadAndShowEditor(aEditortext, aTitleName, aDivPrefix,
aCurrentId, aUseParent, aReadOnlyInfo)
{
var vEditorObj;
var vLAObj;
var vCheckboxObj;
var vdisabletitlename=";DISABLED";
if (aUseParent)
{
parent.fnDisableWindow();
vLAObj = parent.document.getElementById("la-" + gTopObj.applet.gTreeMainSelect);
vCheckboxObj = parent.document.getElementById("is-" + gTopObj.applet.gTreeMainSelect);
}
else
{
fnDisableWindow();
vLAObj = document.getElementById("la-" + gTopObj.applet.gTreeMainSelect);
vCheckboxObj = document.getElementById("is-" + gTopObj.applet.gTreeMainSelect);
}
if (vLAObj != null)
{
if (vLAObj.freetext=="Y")
{
vdisabletitlename = ";";
aReadOnlyInfo.mDisable2 =";DISABLED";
}
}
vEditorObj           = new Object();
if ( g_freetextlrr == "N" )
{
vEditorObj.height    = "200px";
}
else
{
vEditorObj.height    = "100%";
}
if (vCheckboxObj != null)
{
vEditorObj.contextHelp = vCheckboxObj.chlpavail;
}
else
{
vEditorObj.contextHelp = "N";
}
vEditorObj.width     = "100%";
vEditorObj.fontface  = "Verdana";
vEditorObj.text      = aEditortext;
vEditorObj.type      = "text/html";
vEditorObj.mode      = "inline";
vEditorObj.bDisable  = aReadOnlyInfo.mReadOnly;
vEditorObj.language  = g_languageid;
vEditorObj.name      = aTitleName + vdisabletitlename;
vEditorObj.bt1Event  = "ButtonEventAction" + aReadOnlyInfo.mDisable1;
vEditorObj.bt2Event  = "ButtonEventAction" + aReadOnlyInfo.mDisable2;
if ( g_freetextlrr == "N" )
{
vEditorObj.bt3Event  = "ButtonEventAction" + aReadOnlyInfo.mDisable3;
}
vEditorObj.bt4Event  = "ButtonEventAction" + aReadOnlyInfo.mDisable4;
vEditorObj.bt5Event  = "ButtonEventAction" + aReadOnlyInfo.mDisable5;
vEditorObj.bscrollto = false;
vEditorObj.divID     = aDivPrefix + "-" + aCurrentId;
vEditorObj.freetextlrr = g_freetextlrr;
if (aUseParent)
{
parent.startEditor(aDivPrefix.substring(3) + "-" + aCurrentId, vEditorObj);
parent.fnEnableWindow();
}
else
{
startEditor(aDivPrefix.substring(3) + "-" + aCurrentId, vEditorObj);
fnEnableWindow();
}
}
function fnLoadModalEditor(pEditText)
{
var vEditorObj;
var vLAObj;
var vdisable=";DISABLED";
var editortitle = fnGetString("Editortitle");
if (g_SearchResultTransData == null)
{
g_SearchResultTransData = parent.g_SearchResultTransData;
}
pEditText = removeCDATAPrefix(pEditText);
vEditorObj           = new Object();
vEditorObj.height    = "500px";
vEditorObj.width     = "700%";
vEditorObj.fontface  = "Verdana";
vEditorObj.text      = pEditText;
vEditorObj.type      = "text/html";
vEditorObj.mode      = "modal";
vEditorObj.bDisable  = "1";
vEditorObj.language  = g_languageid;
vEditorObj.name      = editortitle + vdisable;
vEditorObj.bt0Event  = "ButtonEventAction";
vEditorObj.bscrollto = false;
vEditorObj.divID     = "";
vEditorObj.title     = g_ModalEditorTitle;
startEditor("", vEditorObj);
fnSaveString("Editortitle", "");
if (g_SearchResultTransData != null)
{
if (!g_SearchResultTransData.closed)
{
parent.g_SearchResultTransData.DialogWindow.enableSearchResultWindow();
}
g_SearchResultTransData = null;
}
}
function fnCancelComplete()
{
var vParObj;
var vPath = "";
var vTemp;
if (this.name == "main")
{
vParObj = parent;
}
else
{
vParObj = parent.parent;
}
if (parent.applet.gSesstype == S_TYPENORMAL)
{
vTemp = fnGetGlobalVariable("gServerPath");
vTemp = vTemp.split("/")
for (var i = 3; i < vTemp.length-1; i++)
{
vPath = vPath + "/" + vTemp[i];
}
        vPath            = vPath + "/"    // some WAS-OS need this character at the end
vParObj.location = vPath;
}
}
function fnSetMenuLabels()
{
var vDivElement;
switch(g_whatAmI)
{
case "menu"  :
case "param" :
case "term"  :
vDivElement = document.getElementById("tdMenuBarItemHilfe");
if (vDivElement != null)
{
if (g_mlHelpB < 1 || g_mlHelpB > mlHelp.length)
{
g_mlHelpB = "1";
}
if (g_mlHelpB == "1")
{
vDivElement.innerHTML = "<a CLASS=\"tbclsMenuBarItem tbclsMenuBarItemUnderlined doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemHilfe\">" + mlHelp.substr(0, 1) + "</a>" + mlHelp.substr(g_mlHelpB, mlHelp.length-1);
}
else
{
vDivElement.innerHTML = "<a CLASS=\"tbclsMenuBarItem doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemHilfe\">" + mlHelp.substr(0, 1) + "</a>" + mlHelp.substr(1, g_mlHelpB-2) + "<a CLASS=\"tbclsMenuBarItemUnderlined doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemHilfe\">" + mlHelp.substr(g_mlHelpB-1, 1) + "</a>" + mlHelp.substr(g_mlHelpB, mlHelp.length-1);
}
};
break;
case "lrr":
vDivElement = document.getElementById("tdMenuBarItemBaustein");
if (vDivElement != null)
{
if (g_mlParagraphB < 1 || g_mlParagraphB > mlParagraph.length)
{
g_mlParagraphB = "1";
}
if (g_mlParagraphB == "1")
{
vDivElement.innerHTML = "<a CLASS=\"tbclsMenuBarItem tbclsMenuBarItemUnderlined doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemBaustein\">" + mlParagraph.substr(0, 1) + "</a>" + mlParagraph.substr(g_mlParagraphB, mlParagraph.length-1);
}
else
{
vDivElement.innerHTML = "<a CLASS=\"tbclsMenuBarItem doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemBaustein\">" + mlParagraph.substr(0, 1) + "</a>" + mlParagraph.substr(1, g_mlParagraphB-2) + "<a CLASS=\"tbclsMenuBarItemUnderlined doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemBaustein\">" + mlParagraph.substr(g_mlParagraphB-1, 1) + "</a>" + mlParagraph.substr(g_mlParagraphB, mlParagraph.length-1);
}
};
vDivElement = document.getElementById("tdMenuBarItemFreitext");
if (vDivElement != null)
{
if (g_mlIndividualTextB < 1 || g_mlIndividualTextB > mlIndividualText.length)
{
g_mlIndividualTextB = "1";
}
if (g_mlIndividualTextB == "1")
{
vDivElement.innerHTML = "<a CLASS=\"tbclsMenuBarItem tbclsMenuBarItemUnderlined doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemFreitext\">" + mlIndividualText.substr(0, 1) + "</a>" + mlIndividualText.substr(g_mlIndividualTextB, mlIndividualText.length-1);
}
else
{
vDivElement.innerHTML = "<a CLASS=\"tbclsMenuBarItem doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemFreitext\">" + mlIndividualText.substr(0, 1) + "</a>" + mlIndividualText.substr(1, g_mlIndividualTextB-2) + "<a CLASS=\"tbclsMenuBarItemUnderlined doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemFreitext\">" + mlIndividualText.substr(g_mlIndividualTextB-1, 1) + "</a>" + mlIndividualText.substr(g_mlIndividualTextB, mlIndividualText.length-1);
}
};
vDivElement = document.getElementById("tdMenuBarItemDokumentstruktur");
if (vDivElement != null)
{
if (g_mlDocumentStructureB < 1 || g_mlDocumentStructureB > mlDocumentStructure.length)
{
g_mlDocumentStructureB = "1";
}
if (g_mlDocumentStructureB == "1")
{
vDivElement.innerHTML = "<a CLASS=\"tbclsMenuBarItem tbclsMenuBarItemUnderlined doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemDokumentstruktur\">" + mlDocumentStructure.substr(0, 1) + "</a>" + mlDocumentStructure.substr(g_mlDocumentStructureB, mlDocumentStructure.length-1);
}
else
{
vDivElement.innerHTML = "<a CLASS=\"tbclsMenuBarItem doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemDokumentstruktur\">" + mlDocumentStructure.substr(0, 1) + "</a>" + mlDocumentStructure.substr(1, g_mlDocumentStructureB-2) + "<a CLASS=\"tbclsMenuBarItemUnderlined doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemDokumentstruktur\">" + mlDocumentStructure.substr(g_mlDocumentStructureB-1, 1) + "</a>" + mlDocumentStructure.substr(g_mlDocumentStructureB, mlDocumentStructure.length-1);
}
};
vDivElement = document.getElementById("tdMenuBarItemHilfeLRR");
if (vDivElement != null)
{
if (g_mlHelpB < 1 || g_mlHelpB > mlHelp.length)
{
g_mlHelpB = "1";
}
if (g_mlHelpB == "1")
{
vDivElement.innerHTML = "<a CLASS=\"tbclsMenuBarItem tbclsMenuBarItemUnderlined doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemHilfeLRR\">" + mlHelp.substr(0, 1) + "</a>" + mlHelp.substr(g_mlHelpB, mlHelp.length-1);
}
else
{
vDivElement.innerHTML = "<a CLASS=\"tbclsMenuBarItem doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemHilfeLRR\">" + mlHelp.substr(0, 1) + "</a>" + mlHelp.substr(1, g_mlHelpB-2) + "<a CLASS=\"tbclsMenuBarItemUnderlined doc_scheme_emphasized_cap\" ID=\"tdMenuBarItemHilfeLRR\">" + mlHelp.substr(g_mlHelpB-1, 1) + "</a>" + mlHelp.substr(g_mlHelpB, mlHelp.length-1);
}
};
break;
default:
break;
}
if (g_whatAmI == "lrr" || g_whatAmI == "param" || g_whatAmI == "term")
{
var vTemp = 1;
vDivElement = document.getElementById("ns-" + vTemp);
if (vDivElement == null)
{
vTemp ++;
vDivElement = document.getElementById("ns-" + vTemp);
}
while (vDivElement != null)
{
switch( vDivElement.name)
{
case "ps"  :
vDivElement.innerHTML = hlPs ;
break;
case "pp"  :
vDivElement.innerHTML = hlPp ;
break;
case "end" :
vDivElement.innerHTML = hlEnd;
break;
default:
break;
}
vTemp ++;
vDivElement = document.getElementById("ns-" + vTemp);
}
}
}
function fnDelayedInit()
{
fnSetEventHandler("document.onselectstart", "fnIgnoreEvent");
fnSetEventHandler("document.ondragstart", "fnIgnoreEvent");
fnSetEventHandler("document.onmousedown", "fnStartDragSplitbarHandler");
fnSetEventHandler("document.onhelp", "fnIgnoreEvent");
	
fnSetEventHandler("window.onresize", "ContextMenuMainClose");
document.all.helpMenu.src = "javascript:parent.createHelpMenu()";
fnBackgroundInit();
fnSetEventHandler("document.onclick",       "fnMouseClickEventHandler");
fnSetEventHandler("document.ondblclick",    "fnMouseDblClickEventHandler");
fnSetEventHandler("document.onmouseover",   "fnMouseOverEventHandler");
fnSetEventHandler("document.onmouseout",    "fnMouseOutEventHandler");
fnSetEventHandler("document.oncontextmenu", "fnMouseContextMenuEventHandler");
}
function fnSetButtonLabels()
{
var vButtonIdx;
var vDivElement;
for (vButtonIdx = 1; vButtonIdx <= g_buttontotal; vButtonIdx ++)
{
vDivElement = document.getElementById("bd-" + vButtonIdx);
if (vDivElement != null)
{
switch (vDivElement.name)
{
case "bt_execterm":
if (g_blExecTermB < 1 || g_blExecTermB > blExecTerm.length)
{
g_blExecTermB = "1";
}
if (g_blExecTermB == "1")
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold underlined doc_scheme_emphasized_cap\">" + blExecTerm.substr(0, 1) + "</a>" + blExecTerm.substr(g_blExecTermB, blExecTerm.length-1);
}
else
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blExecTerm.substr(0, 1) + "</a>" + blExecTerm.substr(1, g_blExecTermB-2) + "<a id=\"ba-" + vButtonIdx + "\" class=\"underlined doc_scheme_emphasized_cap\">" + blExecTerm.substr(g_blExecTermB-1, 1) + "</a>" + blExecTerm.substr(g_blExecTermB, blExecTerm.length-1);
}
vDivElement.style.width = g_blExecTermW;
break;
case "bt_finish":
switch (g_whatAmI)
{
case "lrr":
if (g_blFinishParagraphSelectionB < 1 || g_blFinishParagraphSelectionB > blFinishParagraphSelection.length)
{
g_blFinishParagraphSelectionB = "1";
}
if (g_blFinishParagraphSelectionB == "1")
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold underlined doc_scheme_emphasized_cap\">" + blFinishParagraphSelection.substr(0, 1) + "</a>" + blFinishParagraphSelection.substr(g_blFinishParagraphSelectionB, blFinishParagraphSelection.length-1);
}
else
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blFinishParagraphSelection.substr(0, 1) + "</a>" + blFinishParagraphSelection.substr(1, g_blFinishParagraphSelectionB-2) + "<a id=\"ba-" + vButtonIdx + "\" class=\"underlined doc_scheme_emphasized_cap\">" + blFinishParagraphSelection.substr(g_blFinishParagraphSelectionB-1, 1) + "</a>" + blFinishParagraphSelection.substr(g_blFinishParagraphSelectionB, blFinishParagraphSelection.length-1);
}
vDivElement.style.width = g_blFinishParagraphSelectionW;
break;
case "param":
if (g_blFinishPromptingB < 1 || g_blFinishPromptingB > blFinishPrompting.length)
{
g_blFinishPromptingB = "1";
}
if (g_blFinishPromptingB == "1")
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold underlined doc_scheme_emphasized_cap\">" + blFinishPrompting.substr(0, 1) + "</a>" + blFinishPrompting.substr(g_blFinishPromptingB, blFinishPrompting.length-1);
}
else
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blFinishPrompting.substr(0, 1) + "</a>" + blFinishPrompting.substr(1, g_blFinishPromptingB-2) + "<a id=\"ba-" + vButtonIdx + "\" class=\"underlined doc_scheme_emphasized_cap\">" + blFinishPrompting.substr(g_blFinishPromptingB-1, 1) + "</a>" + blFinishPrompting.substr(g_blFinishPromptingB, blFinishPrompting.length-1);
}
vDivElement.style.width = g_blFinishPromptingW;
break;
case "term":
if (g_blOkB < 1 || g_blOkB > blOk.length)
{
g_blOkB = "1";
}
if (g_blOkB == "1")
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold underlined doc_scheme_emphasized_cap\">" + blOk.substr(0, 1) + "</a>" + blOk.substr(g_blOkB, blOk.length-1);
}
else
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blOk.substr(0, 1) + "</a>" + blOk.substr(1, g_blOkB-2) + "<a id=\"ba-" + vButtonIdx + "\" class=\"underlined doc_scheme_emphasized_cap\">" + blOk.substr(g_blOkB-1, 1) + "</a>" + blOk.substr(g_blOkB, blOk.length-1);
}
vDivElement.style.width = g_blOkW;
break;
}
break;
case "bt_lrrsave":
if (g_blSaveB < 1 || g_blSaveB > blSave.length)
{
g_blSaveB = "1";
}
if (g_blSaveB == "1")
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold underlined doc_scheme_emphasized_cap\">" + blSave.substr(0, 1) + "</a>" + blSave.substr(g_blSaveB, blSave.length-1);
}
else
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blSave.substr(0, 1) + "</a>" + blSave.substr(1, g_blSaveB-2) + "<a id=\"ba-" + vButtonIdx + "\" class=\"underlined doc_scheme_emphasized_cap\">" + blSave.substr(g_blSaveB-1, 1) + "</a>" + blSave.substr(g_blSaveB, blSave.length-1);
}
vDivElement.style.width = g_blSaveW;
break;
case "bt_preview":
if (g_blQuickPreviewB < 1 || g_blQuickPreviewB > blQuickPreview.length)
{
g_blQuickPreviewB = "1";
}
if (g_blQuickPreviewB == "1")
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold underlined doc_scheme_emphasized_cap\">" + blQuickPreview.substr(0, 1) + "</a>" + blQuickPreview.substr(g_blQuickPreviewB, blQuickPreview.length-1);
}
else
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blQuickPreview.substr(0, 1) + "</a>" + blQuickPreview.substr(1, g_blQuickPreviewB-2) + "<a id=\"ba-" + vButtonIdx + "\" class=\"underlined doc_scheme_emphasized_cap\">" + blQuickPreview.substr(g_blQuickPreviewB-1, 1) + "</a>" + blQuickPreview.substr(g_blQuickPreviewB, blQuickPreview.length-1);
}
vDivElement.style.width = g_blQuickPreviewW;
break;
case "bt_printpreview":
if (g_blPrintPreviewB < 1 || g_blPrintPreviewB > blPrintPreview.length)
{
g_blPrintPreviewB = "1";
}
if (g_blPrintPreviewB == "1")
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold underlined doc_scheme_emphasized_cap\">" + blPrintPreview.substr(0, 1) + "</a>" + blPrintPreview.substr(g_blPrintPreviewB, blPrintPreview.length-1);
}
else
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blPrintPreview.substr(0, 1) + "</a>" + blPrintPreview.substr(1, g_blPrintPreviewB-2) + "<a id=\"ba-" + vButtonIdx + "\" class=\"underlined doc_scheme_emphasized_cap\">" + blPrintPreview.substr(g_blPrintPreviewB-1, 1) + "</a>" + blPrintPreview.substr(g_blPrintPreviewB, blPrintPreview.length-1);
}
vDivElement.style.width = g_blPrintPreviewW;
break;
case "bt_rettopsel":
if (g_blSelectParagraphsB < 1 || g_blSelectParagraphsB > blSelectParagraphs.length)
{
g_blSelectParagraphsB = "1";
}
if (g_blSelectParagraphsB == "1")
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold underlined doc_scheme_emphasized_cap\">" + blSelectParagraphs.substr(0, 1) + "</a>" + blSelectParagraphs.substr(g_blSelectParagraphsB, blSelectParagraphs.length-1);
}
else
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blSelectParagraphs.substr(0, 1) + "</a>" + blSelectParagraphs.substr(1, g_blSelectParagraphsB-2) + "<a id=\"ba-" + vButtonIdx + "\" class=\"underlined doc_scheme_emphasized_cap\">" + blSelectParagraphs.substr(g_blSelectParagraphsB-1, 1) + "</a>" + blSelectParagraphs.substr(g_blSelectParagraphsB, blSelectParagraphs.length-1);
}
vDivElement.style.width = g_blSelectParagraphsW;
break;
case "bt_rettoparm":
if (g_blParameterPromptingB < 1 || g_blParameterPromptingB > blParameterPrompting.length)
{
g_blParameterPromptingB = "1";
}
if (g_blParameterPromptingB == "1")
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold underlined doc_scheme_emphasized_cap\">" + blParameterPrompting.substr(0, 1) + "</a>" + blParameterPrompting.substr(g_blParameterPromptingB, blParameterPrompting.length-1);
}
else
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blParameterPrompting.substr(0, 1) + "</a>" + blParameterPrompting.substr(1, g_blParameterPromptingB-2) + "<a id=\"ba-" + vButtonIdx + "\" class=\"underlined doc_scheme_emphasized_cap\">" +blParameterPrompting.substr(g_blParameterPromptingB-1, 1) + "</a>" + blParameterPrompting.substr(g_blParameterPromptingB, blParameterPrompting.length-1);
}
vDivElement.style.width = g_blParameterPromptingW;
break;
case "bt_close":
vDivElement.innerHTML   = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blClose.substr(0, 1) + "</a>" + blClose.substr(1, blClose.length-1);
vDivElement.style.width = g_blCloseW;
break;
case "bt_exit":
if (g_blExitB < 1 || g_blExitB > blExit.length)
{
g_blExitB = "1";
}
if (g_blExitB == "1")
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold underlined doc_scheme_emphasized_cap\">" + blExit.substr(0, 1) + "</a>" + blExit.substr(g_blExitB, blExit.length-1);
}
else
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blExit.substr(0, 1) + "</a>" + blExit.substr(1, g_blExitB-2) + "<a id=\"ba-" + vButtonIdx + "\" class=\"underlined doc_scheme_emphasized_cap\">" + blExit.substr(g_blExitB-1, 1) + "</a>" + blExit.substr(g_blExitB, blExit.length-1);
}
vDivElement.style.width = g_blExitW;
break;
case "bt_ring":
if (g_blRingB < 1 || g_blRingB > blRing.length)
{
g_blRingB = "1";
}
if (g_blRingB == "1")
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold underlined doc_scheme_emphasized_cap\">" + blRing.substr(0, 1) + "</a>" + blRing.substr(g_blRingB, blRing.length-1);
}
else
{
vDivElement.innerHTML = "<a id=\"ba-" + vButtonIdx + "\" class=\"blueBold doc_scheme_emphasized_cap\">" + blRing.substr(0, 1) + "</a>" + blRing.substr(1, g_blRingB-2) + "<a id=\"ba-" + vButtonIdx + "\" class=\"underlined doc_scheme_emphasized_cap\">" + blRing.substr(g_blRingB-1, 1) + "</a>" + blRing.substr(g_blRingB, blRing.length-1);
}
vDivElement.style.width = g_blRingW;
break;
}
}
}
}
function fnShowProperties(aTreeIndexOrGILKey, aGILKeyVersion, aComeFromDialog)
{
var vWindowName = null;
if (aTreeIndexOrGILKey == null &&
aGILKeyVersion     == null)
{
var vCurObj;
var vTopcorner  = 0;
var vLeftcorner = 150;
var vCurDate    = new Date;
var vTimeStamp  = Date.parse(vCurDate.toGMTString());
var vURL;
var vParams;
var vPropertyWindow = null;
var vJSessVal = fnGetCookieValue("JSESSIONID","fnShowProperties");
g_focus_main = 1;
vURL = fnGetGlobalVariable("gServerPath") + ";jsessionid=" + vJSessVal;
vURL = vURL + "?cm=reload" + "&timestamp=" + vTimeStamp + "&newwindow&sessionid=" + fnGetGlobalVariable("gSessionId");
vURL = fnSpecialEncodeURI(vURL);
vCurObj = document.getElementById("tb0");
if (vCurObj != null)
{
vLeftcorner = vCurObj.offsetLeft + 100;
}
vParams = "resizable=yes, height=400, width=500, top=" + vTopcorner+ ", left=" + vLeftcorner+ ", scrollbars=yes, menubar=no,toolbar=no, status=no";
vWindowName =  "Properties"  + g_signonmode + fnNonAlphaNumToUnderscore(vJSessVal) ;
vPropertyWindow = window.open(vURL, vWindowName, vParams);
if (g_comeFromDialog == null)
{
vPropertyWindow.focus();
window.unloadfunction = fnActivateMainByClick;
}
else
{
window.unloadfunction = g_comeFromDialog;
g_comeFromDialog      = null;
}
window.showhelp = fnShowHelpForProperties;
window.closehelpwindow = fnCloseHelpWindow;
}
else
{
var vCommand2Post;
g_comeFromDialog = aComeFromDialog;
if (aGILKeyVersion != null)
{
vCommand2Post = "getpropertiesbykey";
gTopObj.main.fnSave4PostRequest("propertieskey=" + aTreeIndexOrGILKey + "," + aGILKeyVersion);
}
else
{
vCommand2Post = "getpropertiesbycoor";
gTopObj.main.fnSave4PostRequest("propertieskey=" + aTreeIndexOrGILKey);
}
fnPostAsyncSvrRequest(vCommand2Post);
}
}
function fnCloseHelpWindow()
{
if (g_GeneralHelpWindow != null)
{
g_GeneralHelpWindow.close();
while (!g_GeneralHelpWindow.closed)
{
g_GeneralHelpWindow.focus();
}
g_GeneralHelpWindow = null;
}
}
function removeCDATAPrefix(aSPText)
{
if (aSPText != null &&
aSPText.substr(0, 9) == "<![CDATA[")
{
if (aSPText.indexOf(">]><BODY>") > 0)
{
aSPText = aSPText.substr(49, aSPText.length-52)
}
else
{
aSPText = aSPText.substr(9, aSPText.length-12)
}
}
return(aSPText);
}
function processYesCancelDialog(aDialogNLSObject)
{
var vInputObject;
var vParamsModal;
var vYesSelected;
var vModalDialogUrlPath;
vInputObject            = new Object;
vInputObject.yes        = false;
vInputObject.cancel     = false;
vInputObject.mNLSObject = aDialogNLSObject;
vInputObject.Lang       = g_languageid;
vInputObject.mNLSObject.Question = prepareMsgForDlg(vInputObject.mNLSObject.Question);
vParamsModal = "dialogHeight:10px; dialogWidth:10px; center:yes; help:no; resizable:no; status:no;";
vModalDialogUrlPath = fnGetCurrentLocationUrlPath(this.name,"/html/docyescanceldlg.html");
parent.window.showModalDialog(vModalDialogUrlPath , vInputObject, vParamsModal);
vYesSelected = vInputObject.yes;
return(vYesSelected);
}
function processOKDialog(aDialogTitle, aDialogText, aGIFToDisplay, aHelpEnabled, aSaveEnabled)
{
var vInputObject;
var vParamsModal;
var vYesSelected;
var vModalDialogUrlPath;
vInputObject                = new Object;
vInputObject.mMainWin       = this;
if (aDialogTitle == "")
{
vInputObject.mTitle      = g_dbtitle;
}
else
{
vInputObject.mTitle      = aDialogTitle;
}
aDialogText = prepareMsgForDlg(aDialogText);
vInputObject.mInfoText      = aDialogText;
vInputObject.mGifImg        = aGIFToDisplay;
vInputObject.mOKBttnLabel   = g_sdbNlsObj.ButtonOk;
vInputObject.mHelpEnabled   = aHelpEnabled;
vInputObject.mHelpBttnLabel = g_srdbNlsObj.BTHelp;
vInputObject.mHelpCallback  = null;
vInputObject.manswer        = null;
vInputObject.mSaveEnabled   = aSaveEnabled;
vInputObject.Lang           = g_languageid;
vInputObject.dc4asfFrame  = gTopObj;
if (aSaveEnabled == true)
{
vInputObject.mYesBttnLabel = g_cqedbNlsObj.Yes;
vInputObject.mNoBttnLabel  = g_cqedbNlsObj.No;
}
vParamsModal = "dialogHeight:10px; dialogWidth:10px; center:yes; help:no; resizable:no; status:no;";
vModalDialogUrlPath = fnGetCurrentLocationUrlPath(this.name,"/html/docokhelpdlg.html");
parent.window.showModalDialog(vModalDialogUrlPath , vInputObject, vParamsModal);
return(vInputObject.manswer);
}
function fnShowErrorMsg(pMsg, ptoplevel, aHelpreq)
{
var vGIFToDisplay = "docerror.gif";
var vMsg2Show = pMsg;
var vHelpreq = aHelpreq;
var vSavereq = false;
var vResponse = null;
vResponse = processOKDialog("", vMsg2Show, vGIFToDisplay, vHelpreq, vSavereq);
if (vResponse != null)
{
if (vResponse == "help")
{
fnShowHelp("InsertionRules",ptoplevel);
}
}
}
function fnSignoff()
{
fnCommandListDelete();
if (g_signonmode == "implicit")
{
fnCommandListAdd("implicitcancel");
fnSendToServer("reload");
fnSendToServer("cancel");
}
else
{
fnSetCancelIndicator("Cancel");
fnFinish();
fnSendToServer("reload");
fnSendToServer("cancel");
fnCancelComplete();
}
}
function fnAbort(aMess)							
{
fnCommandListDelete();
if (g_signonmode == "implicit")
{
var vParObj;
var vPath = "";
var vIdxLastSlash;
if (this.name == "main")
{
vParObj = parent;
}
else
{
vParObj = parent.parent;
}
	
switch (parent.applet.gSesstype)
{
case S_TYPENORMAL:
vIdxLastSlash    = fnGetGlobalVariable("gServerPath").lastIndexOf("/");
vPath            = fnGetGlobalVariable("gServerPath").substring(0, vIdxLastSlash);
vPath            = vPath + "/html/docw4w_" + g_languageid + ".html";
vParObj.location = vPath;
break;
case S_TYPEPOST:
case s_TYPERUNTRAN:
vPath = parent.applet.gReloadURL;
vPath = vPath + "?";
vPath = vPath + aMess;
window.location = vPath;
break;
case s_TYPERUNTRAN:
}
}
else
{
fnFinish();
fnCancelComplete();
}
}
function prepareMsgForDlg(vMsg)
{
vMsg = vMsg.replace(/-/g,"&minus;");
if(vMsg.length < 70)
{
return vMsg.replace(/\s/g,"&nbsp;");
}
var vMsgModified;
var vLastAcceptedSpacePos = 0;
var vNextSpacePos = 0;
vLastAcceptedSpacePos = vMsg.indexOf(" ");
if (vLastAcceptedSpacePos == -1)
{
return vMsg;
}
do
{
vNextSpacePos = vMsg.indexOf(" ", vLastAcceptedSpacePos+1);
if (vNextSpacePos <= 70)
{
vLastAcceptedSpacePos = vNextSpacePos;
}
} while (vNextSpacePos <= 70 && vNextSpacePos != -1);
if (vLastAcceptedSpacePos == -1)
{
return vMsg.replace(/\s/g,"&nbsp");
}
vMsgModified = vMsg.substring(0, vLastAcceptedSpacePos).replace(/\s/g,"&nbsp");
vMsgModified = vMsgModified + " " + prepareMsgForDlg(vMsg.substring(vLastAcceptedSpacePos+1));
return vMsgModified;
}
function fnTrimString(aUntrimmedString)
{
var re = / /gi;
var vTrimmedString = null;
if ( aUntrimmedString != null )
{
vTrimmedString = aUntrimmedString.replace(re,'');
}
return vTrimmedString;
}
function fnCheckPendingMsg()
{
var vPendingMessageArray = null;
var vErrorType = null;
var vGIFToDisplay = null;
if (g_pendingMessage != null)
{
if (g_pendingMessage != "")
{
vPendingMessageArray = g_pendingMessage.split(" ");
if ( vPendingMessageArray[0] != "" )
{
vErrorType = vPendingMessageArray[0].substring(vPendingMessageArray[0].length - 1);
switch(vErrorType)
{
case "E":
vGIFToDisplay = "docerror.gif";
break;
case "I":
vGIFToDisplay = "docinfohint.gif";
break;
case "W":
vGIFToDisplay = "docwarning.gif";
break;
default:
vGIFToDisplay = "docwarning.gif";
break;
}
processOKDialog("", g_pendingMessage, vGIFToDisplay, false, false);
}
}
}
}
function fnWindowStatusClearText()
{
if ( fnGetGlobalVariable("gUseWindowStatusFlag") == "Y" )
{
window.status = "";
}
}
function fnWindowStatusSetText(aString)
{
if ( fnGetGlobalVariable("gUseWindowStatusFlag") == "Y" )
{
window.status = aString;
}
}
function fnExistProtectedParameters(aObjId)
{
var vExistProtectedParameters = false;
var vGoUpToTagname = "TABLE";
var vObj = null;
var vField = null;
var vIndex = 0;
if( aObjId=="")
{
return false;
}
vObj = document.getElementById(aObjId);
if ( vObj==null)
{
vObj = parent.document.getElementById(aObjId);
}
while(vObj.tagName!= vGoUpToTagname)
{
vObj=vObj.parentElement;
if(vObj==null)
{
return false;
}
}
for(vIndex=0;vIndex<vObj.all.length;vIndex++)
{
if(vObj.all[vIndex].nodeName=="INPUT")
{
vField = vObj.all[vIndex];
if( ( vField.id.substr(0,2) == "pr" ) &&  ( vField.id.substr(5,1)=="1" ))
{
vExistProtectedParameters = true;
}
}
}
return vExistProtectedParameters;
}
function fnSetButtonLabels2()
{
var vButtonIdx;
var vDivElement;
for (vButtonIdx = 1; vButtonIdx <= g_buttontotal; vButtonIdx ++) {
vDivElement = document.getElementById("bb-" + vButtonIdx);
if (vDivElement != null) {
switch (vDivElement.name) {
case "bt_execterm":
if (g_blExecTermB < 1 || g_blExecTermB > blExecTerm.length) {
g_blExecTermB = "1";
}
vDivElement.innerHTML = btlExecTerm;
break;
case "bt_finish":
switch (g_whatAmI) {
case "lrr":
if (g_blFinishParagraphSelectionB < 1 || g_blFinishParagraphSelectionB > blFinishParagraphSelection.length) {
g_blFinishParagraphSelectionB = "1";
}
vDivElement.innerHTML = btlFinishParagraphSelection;
break;
case "param":
if (g_blFinishPromptingB < 1 || g_blFinishPromptingB > blFinishPrompting.length) {
g_blFinishPromptingB = "1";
}
vDivElement.innerHTML = btlFinishPrompting;
break;
case "term":
if (g_blOkB < 1 || g_blOkB > blOk.length) {
g_blOkB = "1";
}
vDivElement.innerHTML = btlOk;
break;
}
break;
case "bt_lrrsave":
if (g_blSaveB < 1 || g_blSaveB > blSave.length) {
g_blSaveB = "1";
}
vDivElement.innerHTML = btlSave;
break;
case "bt_preview":
if (g_blQuickPreviewB < 1 || g_blQuickPreviewB > blQuickPreview.length) {
g_blQuickPreviewB = "1";
}
vDivElement.innerHTML = btlQuickPreview;
break;
case "bt_printpreview":
if (g_blPrintPreviewB < 1 || g_blPrintPreviewB > blPrintPreview.length) {
g_blPrintPreviewB = "1";
}
vDivElement.innerHTML = btlPrintPreview;
break;
case "bt_rettopsel":
if (g_blSelectParagraphsB < 1 || g_blSelectParagraphsB > blSelectParagraphs.length) {
g_blSelectParagraphsB = "1";
}
vDivElement.innerHTML = btlSelectParagraphs;
break;
case "bt_rettoparm":
if (g_blParameterPromptingB < 1 || g_blParameterPromptingB > blParameterPrompting.length) {
g_blParameterPromptingB = "1";
}
vDivElement.innerHTML = btlParameterPrompting;
break;
case "bt_close":
vDivElement.innerText   = btlClose;
break;
case "bt_exit":
if (g_blExitB < 1 || g_blExitB > blExit.length) {
g_blExitB = "1";
}
vDivElement.innerHTML = btlExit;
break;
case "bt_ring":
if (g_blRingB < 1 || g_blRingB > blRing.length) {
g_blRingB = "1";
}
vDivElement.innerHTML = btlRing;
break;
}
}
}
}
function fnBRString(aIn)
{
var vRet = "";
var c;
var i, l;
l = aIn.length;
for (i=0; i<l; i++) {
c = aIn.charAt(i);
if (c != " ") {
vRet += c;
}
else
{
vRet += "<br />";
}
}
return vRet;
}
function fnButtonEnabled(abEnabled, aUseParent)
{
var vButtonIdx;
var vButton;
if (g_RealButtons) {
if ( aUseParent == true )
{
g_buttontotal = parent.g_buttontotal;
}
if (abEnabled == true) {
window.status = "**Enable Buttons**";		
}
else
{
	        window.status = "**Disable Buttons**";		
}
for (vButtonIdx = 1; vButtonIdx <= g_buttontotal; vButtonIdx ++)
{
if ( aUseParent == false )
{
vButton = document.getElementById("bt-" + vButtonIdx);
}
else
{
vButton = parent.document.getElementById("bt-" + vButtonIdx);
}
vButton.disabled = !abEnabled;
}
}
}
function fnGetCurrentLocationUrlPath(aName, aSubDirectory)
{
var vUrlPath   = null;
var vPort      = "";
var vLastIndex = 0;
var vLocationPath = null;
var vLocationProtocol = null;
var vLocationHost = null;
var vLocationPort = null;
var vLocationPathname = null;
var vDebug = false;
if ( vDebug == true )
{
alert("aName=" + aName + " aSubDirectory=" + aSubDirectory);
}
if ( aName != "main" )
{
vLocationProtocol =  parent.window.location.protocol;
vLocationHost     =  parent.window.location.host ;
vLocationPort     =  parent.window.location.port;
vLocationPathname =  parent.window.location.pathname;
}
else
{
vLocationProtocol =  window.location.protocol;
vLocationHost     =  window.location.host ;
vLocationPort     =  window.location.port;
vLocationPathname =  window.location.pathname;
}
if ( vLocationHost.lastIndexOf(":") > -1 )
{
vPort = "";
}
else
{
if ( vLocationPort.length > 0 )
{
vPort = ":" +  vLocationPort;
}
}
    vLocationPath = vLocationProtocol + "//" + vLocationHost + vPort + vLocationPathname;
if ( vLocationPath != null      &&
vLocationPath.length > 0  )
{
vLastIndex = vLocationPath.lastIndexOf("/")
if ( vLastIndex > -1 )
{
vUrlPath = vLocationPath.substring(0,vLastIndex).concat(aSubDirectory);
}
}
if ( vDebug == true )
{
alert("vLocationHost=" + vLocationHost + " vLocationPath=" + vLocationPath + " vUrlPath = " + vUrlPath);
}
return vUrlPath;
}
function fnRemoveLeadingDateZero(aString)
{
var   vZero    = "0";
var   vString  =  aString;
if ( aString != null  )
{
switch(aString.length)
{
case 2:
if ( aString.substr(0,1) == vZero )
{
vString = aString.substr(1,1);
}
break;
default:
}
}
return vString;
}
/  should or should not be display                                           */
function fnGetCorrectIconName( aIconWithoutContextHelpName,
aIconWithContextHelpName,
aContextHelpAvailableIconToDisplay   )
{
var  vCorrectIconName   = null;
if (   aContextHelpAvailableIconToDisplay == "N"  )
{
vCorrectIconName = aIconWithoutContextHelpName;
}
else
{
vCorrectIconName = aIconWithoutContextHelpName;
}
return vCorrectIconName;
}
function fnJavaCallback(aDataFromApplet)
{
parent.main.fnProcessPostResult(aDataFromApplet);
}
function fnDelayedFunction(aDataFromApplet)
{
switch (aDataFromApplet)
{
case "Init":
fnDelayedInit();
break;
default:
break;
}
}
function fnLoadGlobalImages()
{
var vTempImage;
vTempImage = new Image();
vTempImage.src = "../images/docsave.gif";
vTempImage = new Image();
vTempImage.src = "../images/doccut.gif";
vTempImage = new Image();
vTempImage.src = "../images/doccopy.gif";
vTempImage = new Image();
vTempImage.src = "../images/docpaste.gif";
vTempImage = new Image();
vTempImage.src = "../images/docundo.gif";
vTempImage = new Image();
vTempImage.src = "../images/docredo.gif";
vTempImage = new Image();
vTempImage.src = "../images/docfont.gif";
vTempImage = new Image();
vTempImage.src = "../images/docbold_da.gif";
vTempImage = new Image();
vTempImage.src = "../images/docitalic_da.gif";
vTempImage = new Image();
vTempImage.src = "../images/docunderline_da.gif";
vTempImage = new Image();
vTempImage.src = "../images/docbold_de.gif";
vTempImage = new Image();
vTempImage.src = "../images/docitalic_de.gif";
vTempImage = new Image();
vTempImage.src = "../images/docunderline_de.gif";
vTempImage = new Image();
vTempImage.src = "../images/docbold_en.gif";
vTempImage = new Image();
vTempImage.src = "../images/docitalic_en.gif";
vTempImage = new Image();
vTempImage.src = "../images/docunderline_en.gif";
vTempImage = new Image();
vTempImage.src = "../images/docbold_es.gif";
vTempImage = new Image();
vTempImage.src = "../images/docitalic_es.gif";
vTempImage = new Image();
vTempImage.src = "../images/docunderline_es.gif";
vTempImage = new Image();
vTempImage.src = "../images/docbold_fr.gif";
vTempImage = new Image();
vTempImage.src = "../images/docitalic_fr.gif";
vTempImage = new Image();
vTempImage.src = "../images/docunderline_fr.gif";
vTempImage = new Image();
vTempImage.src = "../images/docbold_nl.gif";
vTempImage = new Image();
vTempImage.src = "../images/docitalic_nl.gif";
vTempImage = new Image();
vTempImage.src = "../images/docunderline_nl.gif";
vTempImage = new Image();
vTempImage.src = "../images/docindent.gif";
vTempImage = new Image();
vTempImage.src = "../images/docoutdent.gif";
vTempImage = new Image();
vTempImage.src = "../images/docnumlist.gif";
vTempImage = new Image();
vTempImage.src = "../images/docbullist.gif";
vTempImage = new Image();
vTempImage.src = "../images/docalignl.gif";
vTempImage = new Image();
vTempImage.src = "../images/docalignr.gif";
vTempImage = new Image();
vTempImage.src = "../images/docalignc.gif";
vTempImage = new Image();
vTempImage.src = "../images/docspellcheck.gif";
vTempImage = new Image();
vTempImage.src = "../images/doctext.gif";
vTempImage = new Image();
vTempImage.src = "../images/docbgcolor.gif";
vTempImage = new Image();
vTempImage.src = "../images/doctable.gif";
vTempImage = new Image();
vTempImage.src = "../images/doctablerow.gif";
vTempImage = new Image();
vTempImage.src = "../images/doctablecol.gif";
vTempImage = new Image();
vTempImage.src = "../images/doctablerowsel.gif";
vTempImage = new Image();
vTempImage.src = "../images/docpaste.gif";
vTempImage = new Image();
vTempImage.src = "../images/doctablecolsel.gif";
g_ivertr = new Image();					
g_ivertr.src = "../images/docvertr.gif";	
g_ivertri = new Image();			
g_ivertri.src = "../images/docvertr-i.gif";	
g_ivlend = new Image();
g_ivlend.src = "../images/docvertrend.gif";
g_ivlendi = new Image();                               /* Define Tree with contexthelp info    */
g_ivlendi.src = "../images/docvertrend-i.gif";
g_ichangevlend = new Image();				
g_ichangevlend.src = "../images/docchgvlend.gif";	
g_ichangevlendi = new Image();				   /* Define Tree changed with contexthelp info   */
g_ichangevlendi.src = "../images/docchgvlend-i.gif";	
g_ichangevertr = new Image();				
g_ichangevertr.src = "../images/docchgvertr.gif";	
g_ichangevertri = new Image();				/* Define Tree Right changed with contexthelp info */
g_ichangevertri.src = "../images/docchgvertr-i.gif";	
g_idoc = new Image();					
g_idoc.src = "../images/docltd.gif";		
g_iplus = new Image();					
g_iplus.src = "../images/docplus.gif";	
g_iplusi = new Image();					           /* Define Plus with contexthelp info       */
g_iplusi.src = "../images/docplus-i.gif";	
g_iminus = new Image();				
g_iminus.src = "../images/docminus.gif";
g_iminusi = new Image();				               /* Define Minus with contexthelp info */
g_iminusi.src = "../images/docminus-i.gif";
g_iplusend  = new Image();
g_iplusend.src  = "../images/docplusend.gif";
g_iplusendi  = new Image();                         /* Define Plus with contexthelp info       */
g_iplusendi.src  = "../images/docplusend-i.gif";
g_iminusend = new Image();				
g_iminusend.src = "../images/docminusend.gif";
g_iminusendi = new Image();				           /* Define Minus with contexthelp info  */
g_iminusendi.src = "../images/docminusend-i.gif";
g_ichangeplus = new Image();			
g_ichangeplus.src = "../images/docchgplus.gif";	
g_ichangeplusi = new Image();			     /* Define Plus change with contexthelp info      */
g_ichangeplusi.src = "../images/docchgplus-i.gif";	
g_ichangeminus = new Image();				
g_ichangeminus.src = "../images/docchgminus.gif";
g_ichangeminusi = new Image();				 /* Define Minus change with contexthelp info     */
g_ichangeminusi.src = "../images/docchgminus-i.gif";
g_ichangeplusend  = new Image();	    	
g_ichangeplusend.src  = "../images/docchgplusend.gif";
g_ichangeplusendi  = new Image();	    	 /* Define Plus change with contexthelp info      */
g_ichangeplusendi.src  = "../images/docchgplusend-i.gif";
g_ichangeminusend = new Image();	
g_ichangeminusend.src = "../images/docchgminusend.gif";
g_ichangeminusendi = new Image();	         /* Define Minus  change with contexthelp info  */
g_ichangeminusendi.src = "../images/docchgminusend-i.gif";
g_iplusstop = new Image();			
g_iplusstop.src = "../images/docplusstop.gif";	
g_iminusstop = new Image();				
g_iminusstop.src = "../images/docminusstop.gif";
g_iplusstopend  = new Image();	    	
g_iplusstopend.src  = "../images/docplusstopend.gif";
g_iminusstopend = new Image();	
g_iminusstopend.src = "../images/docminusstopend.gif";
g_ivertstopend  = new Image();	    	
g_ivertstopend.src  = "../images/docvertstopend.gif";
g_ivertstop = new Image();	
g_ivertstop.src = "../images/docvertstop.gif";
g_ichkd = new Image();			
g_ichkd.src = "../images/docsel.gif";	
g_inchkd = new Image();		
g_inchkd.src = "../images/docnosel.gif";
g_ibluechkd = new Image();			
g_ibluechkd.src = "../images/docbluesel.gif";
g_ibluenchkd = new Image();			
g_ibluenchkd.src = "../images/docbluenosel.gif";
g_iredchkd = new Image();
g_iredchkd.src = "../images/docredsel.gif";
g_iblackgreychkd = new Image();		
g_iblackgreychkd.src = "../images/docgraysel.gif";
g_iblueblackgreychkd = new Image();
g_iblueblackgreychkd.src = "../images/docbluegraysel.gif";
g_iredblackgreychkd = new Image();	
g_iredblackgreychkd.src = "../images/docredgraysel.gif";
g_igreynchkd = new Image();			
g_igreynchkd.src = "../images/docgraynosel.gif";
g_igreychkd = new Image();			
g_igreychkd.src = "../images/docgrayselgray.gif";
g_ibluegreynchkd = new Image();		
g_ibluegreynchkd.src = "../images/docbluegraynosel.gif";
g_ibluegreychkd = new Image();		
g_ibluegreychkd.src = "../images/docbluegrayselgray.gif";
g_iunknown = new Image();
g_iunknown.src = "../images/docunknown.gif";
g_iready = new Image();
g_iready.src = "../images/docfinishh.gif";
g_inready = new Image();
g_inready.src = "../images/docfinish.gif";
g_isave = new Image();
g_isave.src = "../images/doclrrsaveh.gif";
g_insave = new Image();
g_insave.src = "../images/doclrrsave.gif";
g_ipreview = new Image();
g_ipreview.src = "../images/docpreviewh.gif";
g_inpreview = new Image();
g_inpreview.src = "../images/docpreview.gif";
g_iprintpreview = new Image();
g_iprintpreview.src = "../images/docprintpreviewh.gif";
g_inprintpreview = new Image();
g_inprintpreview.src = "../images/docprintpreview.gif";
g_icancel = new Image();
g_icancel.src = "../images/doccloseh.gif";
g_incancel = new Image();
g_incancel.src = "../images/docclose.gif";
g_iexit1 = new Image();
g_iexit1.src = "../images/docexith.gif";
g_inexit1 = new Image();
g_inexit1.src = "../images/docexit.gif";
g_iexit2 = new Image();
g_iexit2.src = "../images/docringh.gif";
g_inexit2 = new Image();
g_inexit2.src = "../images/docring.gif";
g_ipselection = new Image();
g_ipselection.src = "../images/docrettopselh.gif";
g_inpselection = new Image();
g_inpselection.src = "../images/docrettopsel.gif";
g_idpprompting = new Image();
g_idpprompting.src = "../images/docrettoparmh.gif";
g_indpprompting = new Image();
g_indpprompting.src = "../images/docrettoparm.gif";
g_arrow  = new Image();
g_arrow.src = "../images/docarrow.gif";
g_arroww = new Image();
g_arroww.src = "../images/docarroww.gif";
g_transp1 = new Image();
g_transp1.src = "../images/doctransparent.gif";
g_transp22 = new Image();
g_transp22.src = "../images/doctransp22.gif";
g_vert = new Image();
g_vert.src = "../images/docvert.gif";
g_okup = new Image();
g_okup.src= "../images/docokup.gif";
g_okuph = new Image();
g_okuph.src= "../images/docokuph.gif";
g_okdown = new Image();
g_okdown.src= "../images/docokdown.gif";
g_okdownh = new Image();
g_okdownh.src= "../images/docokdownh.gif";
g_rbsel = new Image();			
g_rbsel.src = "../images/docrbsel.gif";
g_rbnosel = new Image();			
g_rbnosel.src = "../images/docrbnosel.gif";
g_rbbluesel = new Image();			
g_rbbluesel.src = "../images/docrbbluesel.gif";
g_rbbluenosel = new Image();			
g_rbbluenosel.src = "../images/docrbbluenosel.gif";
g_rbredsel = new Image();			
g_rbredsel.src = "../images/docrbredsel.gif";
g_rbgreysel = new Image();			
g_rbgreysel.src = "../images/docrbgreysel.gif";
g_rbgreynosel = new Image();			
g_rbgreynosel.src = "../images/docrbgreynosel.gif";
}
function fnSnoop(aLevel, aOrigin)
{
	var vSnoopOut = "fnSnoop() " + aOrigin + ".Cookies: " + document.cookie + "\n";
	
	
	
	
	vSnoopOut += "Server name: " + fnGetGlobalVariable("gServerName") + "\n";
	vSnoopOut += "Application name: " + fnGetGlobalVariable("gApplicationName");
	
	
	
if(fnGetGlobalVariable("gConsoleEnabled") == "Y")
{
var tmpWindow = window.open("", "consolewindow");
var vContent = tmpWindow.document.getElementById("tracecontent");
vContent.innerText = "OK !";
vSnoopOut += "\nWindow name2: " + tmpWindow.name;
}
alert(vSnoopOut);
}
function fnProcessEnableWindowByUserRequest(aOrigin)
{
if (event.altKey && event.keyCode == 56)
{
fnEnableWindow();
alert('Window re-enabled by user request');
}
}
function fnNonAlphaNumToUnderscore(aVal)
{
var vIndexI     = 0;
var vCharCode   = null;
var vChar       = null;
var vUnderscore = '_';
var vTransVal = '';
if ( ( aVal != null ) && ( aVal.length > 0 ))
{
vIndexI   = 0;
vTransval = "_";
while ( vIndexI < aVal.length  )
{
vChar       = aVal.charAt(vIndexI);
vCharCode   = aVal.charCodeAt(vIndexI);
if ( (  ( vCharCode >= 48 ) && ( vCharCode <= 57  ) ) ||
(  ( vCharCode >= 64 ) && ( vCharCode <= 90  ) ) ||
(  ( vCharCode >= 97 ) && ( vCharCode <= 122 ) ) )
{
vTransVal = vTransVal.concat(vChar);
}
else
{
vTransVal  = vTransVal.concat(vUnderscore);
}
vIndexI++;
}
}
return  vTransVal;
}
function fnCheckIfViewOfSPIsAllowed(aSelectObj)
{
var vViewOfSPIsAllowed = true;
if ( ( aSelectObj != null                             ) &&
( typeof( aSelectObj.referencesp ) != "undefined") &&
( aSelectObj.referencesp == "Y" ))
{
vViewOfSPIsAllowed = false;
}
return vViewOfSPIsAllowed;
}
function fnHex2Dec(aHex)
{
return(parseInt(hex,16));
}
function fnDec2Hex(aDec)
{
return aDec.toString(16);
}
function fnSetRGBColor(aRed,aGreen,aBlue,aHexFlag)
{
var vRGBColor = '';
var vRedHex   = aRed;
var vGreenHex = aGreen;
var vBlueHex  = aBlue;
if ( aHexFlag == false )
{
vRedHex   = fnDec2Hex(aRed);
vGreenHex = fnDec2Hex(aGreen);
vBlueHex  = fnDec2Hex(aBlue);
}
vRGBColor =  vRGBColor.concat(vRedHex,vGreenHex,vBlueHex);
return vRGBColor;
}
function fnIsValidRGBColor(aString)
{
var vIsValidRGBColor = true;
var vRegExpString = /^[a-fA-F0-9]{6}$/;
var vRegExp = new RegExp(vRegExpString);
if( vRegExp.test(aString) == false )
{
vIsValidRGBColor = false;
}
return vIsValidRGBColor;
}
