
/*\// -------------------------------------------------------------- */
/*\// Licensed Material - Property of IBM                            */
/*\//                                                                */
/*\// 5655-002                                                       */
/*\//                                                                */
/*\// (C) Copyright IBM Corp. 2003   All Rights Reserved             */
/*\//                                                                */
/*\// US Government Users Restricted Rights - Use, duplication or    */
/*\// disclosure restricted by GSA ASP Schedule Contract with        */
/*\// IBM Corp.                                                      */
/*\// -------------------------------------------------------------- */
	
	
	
	
	
function fnGetServletPath()
	  {
	
		  return fnGetGlobalVariable("gServerPath") + "?";
	  }
	
function fnGetServerPath()
	  {
	    var vServerPath = fnGetGlobalVariable("gServerPath");
	    var vIndex      = vServerPath.indexOf( "/servlet");
	    vServerPath     = vServerPath.substring(0,vIndex);
return vServerPath;
	  }
	
	
	
	
function fnGetSessionID()
	  {
	
		
		  return fnGetGlobalVariable("gSessionId");
	  }
	
	
	
	
function fnGetLanguage()
	  {
		
		  return g_languageid;
	  }
	
function fnSetLoginImplicit()
	  {
		  mLoginImplicit = true;
	  }
function fnSetCancelIndicator(aCancelIndicator)
	  {
		  mCancelIndicator = aCancelIndicator;
	  }
function fnGetString(aKey)
	  {
		  return mClipboard.get(aKey);
	  }
	
	
function fnGetStringAndDelete(aKey)
	  {
		  var vRetValue = mClipboard.get(aKey);
		  mClipboard.remove(aKey);
		  return (vRetValue);
	  }
	
	
function fnClearPostRequestBuffer()
{
mPostList.clear();
}
	
function fnIsSomethingInPostBuffer()
	  {
		  var vIsSomthingIn = true;
		
		  if (mPostList.isEmpty())
		  {
			  vIsSomthingIn = false;
		  }
		  return (vIsSomthingIn);
	  }
	
	
function fnSaveString(aKey, aValue)
	  {
	
		  var vsbMsg = aKey + "=" + aValue;
		
		  try
		  {
			  mClipboard.put(aKey, aValue);
			
		  }
		  catch (e)
		  {
			
			
		  }
		  return mClipboard.get(aKey);
}
function fnGetGlobalVariablesString()
{
return mGlobalVariables.toString();
}
function fnSetGlobalVariable(aKey, aValue)
{
	
		  var vsbMsg = aKey + "=" + aValue;
		
		  try
		  {
		
			  mGlobalVariables.put(aKey, aValue);
			
		  }
		  catch (e)
		  {
		  }
		  return mGlobalVariables.get(aKey);
}
function fnGetGlobalVariable(aKey)
	  {
		  return mGlobalVariables.get(aKey);
	  }
function fnSetGlobalVariablesToRequest()
{
var vTmpRequest = "";
mGlobalVariables.moveFirst();
while (mGlobalVariables.next())
{
vTmpRequest  = "g_";
vTmpRequest += mGlobalVariables.getKey();
			  vTmpRequest += DOC_SERVLET_EQUALCHAR;
vTmpRequest += mGlobalVariables.getValue();
gTopObj.main.fnSave4PostRequest(vTmpRequest);
			  vTmpRequest = "";
}
}
function fnSetGlobalVariablesToRequest1(aPostList)
{
var vTmpRequest = "";
mGlobalVariables.moveFirst();
while (mGlobalVariables.next())
{
vTmpRequest  = "g_";
vTmpRequest += mGlobalVariables.getKey();
			  vTmpRequest += DOC_SERVLET_EQUALCHAR;
vTmpRequest += mGlobalVariables.getValue();
gTopObj.main.fnSave4PostRequest1(vTmpRequest, aPostList);
			  vTmpRequest = "";
}
}
	
function fnEncodeURLString( aString )
{
return encodeURI(aString);
}
	
function fnNewHttpRequest()
{
var vHttpRequest = false;
if (window.ActiveXObject)
{
try
{
vHttpRequest = new ActiveXObject("Msxml2.XMLHTTP");
}
catch (e)
{
try
{
vHttpRequest = new ActiveXObject("Microsoft.XMLHTTP");
}
catch (e)
{
alert('DOC0600E Exception occurred when trying to create a new HttpRequest');
}
}
}
if ( !vHttpRequest )
{
alert('DOC0601E New HttpRequest could not be created');
}
return vHttpRequest;
}
function fnGetResponseText()
{
return mResponseText;
}
function fnSetResponseText(aText)
{
mResponseText = aText;
}
function  fnSetUrlWithParm(aUrl, aVarArray, aValArr)
{
var vDebug = true;
var vUrl = aUrl;
var i   =  0;
var vTag = null;
for ( i = 0; i < aVarArr.length; i++ )
{
if ( i == 0 )
{
vTag = "?";
}
else
{
vTag = "&";
}
vUrl = vUrl.concat(vTag, aVarArray[i],'=',aValArray[i]);
}
if ( vDebug == true )
{
alert("vUrl = " + vUrl);
}
return vUrl;
}
function  fnSetUrlWithParm(aUrl, aPostList)
{
var vUrl = aUrl;
var vTag = null;
		if( !aPostList.isEmpty() )
		{
aPostList.moveFirst();
		
		  while (aPostList.next())
		  {
		    if( aPostList.location == 0 )
		    {
		      vTag = ""
		    }
		    else
		    {
vTag = "&";
}
vUrl += vTag;
vUrl += aPostList.getValue();
		  }
		}
		
		return vUrl;
}
function fnIssueServletCommand( aCommand, aParameters)
{
if( aCommand != null || aCommand.length > 0)
{
var vUrl = "";
vUrl += fnGetServerPath();
if( aCommand.substring(0,1) != '/' )
{
aCommand = '/' + aCommand;
}
vUrl += aCommand;
if( aParameters != null && aParameters.length > 0)
{
if( aParameters.substring(0,1) != '?')
{
vUrl += "?";
}
vUrl += aParameters;
}
fnPostRequest( vUrl, RESPONSE_TYPE_TEXT, false, false);
return fnGetResponseText();
}
}
function fnTalkToServlet(aCommand, aArgumentData)
	  {
	    var vAnswer     = null;
	    var vPostList   = new Hashtable();
	    var vTmpRequest = "";
	
	
	    if (aCommand != null)
	    {
	      var vPostList   = new Hashtable();
	      var vTmpRequest = "";
			
			  vTmpRequest += DOC_SERVLET_ARG_SESSIONID;
			  vTmpRequest += DOC_SERVLET_EQUALCHAR;
			
			  vTmpRequest += fnGetGlobalVariable("gSessionId");
			  gTopObj.main.fnSave4PostRequest1(vTmpRequest, vPostList);
			  vTmpRequest = "";
			
			
			  vTmpRequest += DOC_SERVLET_ARG_USINGAPPLET;
			  vTmpRequest += DOC_SERVLET_EQUALCHAR;
			  gTopObj.main.fnSave4PostRequest1(vTmpRequest, vPostList);
gTopObj.main.fnSave4PostRequest1(aCommand, vPostList);
if (aArgumentData != null && aArgumentData.length > 0)
{
gTopObj.main.fnSave4PostRequest1(aArgumentData, vPostList);
}
fnSetGlobalVariablesToRequest1(vPostList);
var vUrl = fnSetUrlWithParm( fnGetServletPath(), vPostList);			
			fnPostRequest( vUrl, RESPONSE_TYPE_TEXT, false, false);
return fnGetResponseText();
	    }
}
	
function fnSave4PostRequest1(aPostValue, aPostList)
	  {
		
		  if (aPostValue != null)
		  {
			
			  var vTmpInt = aPostList.size() + 1;
var vKey   = aPostValue.substring(0, (aPostValue.indexOf('=')) + 1 );
var vValue = aPostValue.substring(   (aPostValue.indexOf('=')) + 1 );
var vPostValue = vKey + encodeURIComponent(vValue);
			
			  try
			  {
				  aPostList.put(vTmpInt, vPostValue);
			  }
			  catch (e) {}
		  }
	  }
	
function fnSave4PostRequest(aPostValue)
	  {
		  fnSave4PostRequest1(aPostValue, mPostList);
	  }
	
	function fnPostAsyncReqToServlet (aRequestName, aCommandList)
{
		vOk = true;
		vPostList = new Hashtable();
		miCallCount++;
		var vTmpRequest = "";
		var vOK = true;
		
		mFunctionName = aRequestName;
		
		
		
if (aRequestName != null && aRequestName.length > 0
				&& aCommandList != null && aCommandList.length > 0)
		{
			
			
			
			vTmpRequest += DOC_SERVLET_ARG_SESSIONID;
			vTmpRequest += DOC_SERVLET_EQUALCHAR;
			
			
		  vTmpRequest += fnGetGlobalVariable("gSessionId");
			gTopObj.main.fnSave4PostRequest(vTmpRequest);
			vTmpRequest = "";
			
			
			vTmpRequest += DOC_SERVLET_ARG_USINGAPPLET;
			vTmpRequest += DOC_SERVLET_EQUALCHAR;
			gTopObj.main.fnSave4PostRequest(vTmpRequest);
			vTmpRequest = "";
			
			vTmpRequest += DOC_SERVLET_ARG_TIMESTAMP;
			vTmpRequest += DOC_SERVLET_EQUALCHAR;
			vTmpRequest += new Date().getTime();
			gTopObj.main.fnSave4PostRequest(vTmpRequest);
fnSetGlobalVariablesToRequest();
			vPostList = fnCopyAndClearPostList();
			
			var vUrl = fnSetUrlWithParm( fnGetServletPath(), vPostList);
			vUrl += "&";
			vUrl += aCommandList;
			
			fnPostRequest( vUrl, RESPONSE_TYPE_TEXT, true, true);
		}
		else
{
vOK = false;
}
		
		return vOK;
		
}
	
	function fnSendAsyncReqToServlet(aRequestName, aCommand)
{
		var vRequest = "";
		var vOk      = true;
		
		
		if (aRequestName != null && aRequestName.length > 0 && aCommand != null
				&& aCommand.length > 0)
		{
			
			vRequest = fnCreateRequestString(aCommand);
			
		fnPostRequest( vUrl, RESPONSE_TYPE_TEXT, true, true);
		}
		else
		{
vOK = false;
}
return vOK;
}
function fnCopyAndClearPostList()
	  {
		  vCopy = new Hashtable();
		  if( !mPostList.isEmpty() )
		  {
mPostList.moveFirst();
		
		    while (mPostList.next())
		    {
vCopy.put(mPostList.getKey(), mPostList.getValue());		
		    }
		  }
		
		  mPostList.clear();
		  return vCopy;
	  }
function fnPostRequest( aRequest, aResponseType, aAsync, aProcessResponse)
{
var xmlhttp=false;
xmlhttp = fnNewHttpRequest();
fnSetXmlHttpReadyStateChangeHandler(xmlhttp, aResponseType, aProcessResponse);
var vIndex = aRequest.indexOf('?');
var vUrl   = '';
var vData  = '';
if( vIndex > 0 )
{
vUrl   = aRequest.substring(0, aRequest.indexOf('?'));
vData  = aRequest.substring(aRequest.indexOf('?') +1 );
}
else
{
vUrl  = aRequest;
}
vUrl       = encodeURI(vUrl);
xmlhttp.open("POST", vUrl, aAsync);
	xmlhttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded; charset=UTF-8");
xmlhttp.setRequestHeader("Content-length", vData.length);
	
xmlhttp.send(vData);
}
function fnSetXmlHttpReadyStateChangeHandler(aXmlhttp, aResponseType, aProcessResponse)
{
aXmlhttp.onreadystatechange = function() {
if (aXmlhttp.readyState == READYSTATE_COMPLETE) {
if(aResponseType == RESPONSE_TYPE_XML)
{
mResponseText = aXmlhttp.responseXml;
}
else
{
fnSetResponseText( aXmlhttp.responseText );
if (aProcessResponse)
{
fnProcessPostResult(mFunctionName + "-XX-" + fnGetResponseText());
}
}
}
}
}
function fnTraceChange()
{
var vConsoleEnabled = "";
if (this.name == "main")
{
vConsoleEnabled = fnGetGlobalVariable("gConsoleEnabled");
if(vConsoleEnabled == "Y")
{
fnSetGlobalVariable("gConsoleEnabled", "N");
}
else
{
fnSetGlobalVariable("gConsoleEnabled", "Y");
}
}
else
{
vConsoleEnabled = parent.fnGetGlobalVariable("gConsoleEnabled");
if(vConsoleEnabled == "Y")
{
parent.fnSetGlobalVariable("gConsoleEnabled", "N");
}
else
{
parent.fnSetGlobalVariable("gConsoleEnabled", "Y");
}
}
vConsoleEnabled = !vConsoleEnabled;
	if (vConsoleEnabled == "N")
	{
	  gTraceWindow.close();
	  gTraceWindow = null;
	}
	else
	{
	  if(this.name == "main")
	  {
	    gTraceWindow = window.open('./html/doctrace.html','consolewindow','left=0x,top=0x,height=400px,width=1000px,scrollbars=yes,resizable=yes');
	  }
	  else
	  {
	    parent.gTraceWindow = window.open('./html/doctrace.html','consolewindow','left=0x,top=0x,height=400px,width=1000px,scrollbars=yes,resizable=yes');
}
}
}
