<?xml version="1.0" encoding="UTF-8"?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************
*
* Change Activity:                                                             
*                                                                              
* Code		Release		Date				Person	Reason                                   
*                                                                              
* @001		V01R01B06	07/01/2004	UZeh	PQ90875 PTR3874 id="shortcutmenu" added
* @02=		1.1.6				09/17/2004	GOT		PQ94327, PTR4349 error when doublequote in subject   
* @03=		1.1.6				12/14/2004	GOT		PQ98310 MSGDOC1045E and MSGDOC1119E
* @04=		1.1.6				01/15/2005	GOT		PQ99305, PTR4285 Remove custom files from war
* @05=		1.1.6				04/15/2005	JNG		PK04282, PTR4699 Synchronize Framesets
* @06		V01R01B06	05/18/2005	MMar	Replaced css stylesheets with common stylesheets docproduct.css and doccustom.css
* @07		V01R01B06	04/12/2005	MMar	Replaced class definition in menu bar from "button" to "scheme_menu_bar"
*																	Footer button bar changed
* @08		V01R01B07	06/01/2005	MMar	PTR4823 Optional word wrap (2 or more lines) for lines in the navigation pane
*																	Replaced NOWRAP from td.navigationtd element, also changes in docproduct.css
* @09		V01R01B07	06/02/2005	MMar	PTR4703 Flexible Fonts: Button and menu item proportions
*																	Replaced inner div "cancel" from button bar, also changes in docproduct.css
* @10		V01R01B07	07/15/2005	MMar	PTR4952 Missing first character in button labels
*																	Error in ids of elements
* @11		1.1.6				07/19/2005	UZeh	DPTR4913 PTR4913 Add src="" attribute in iframe tags            
* @12		V01R01B07	08/16/2005	MMar	doccustom.css is now in custom directory
* @13		V01R01B07	08/22/2005	MMar	PTR5002, missing class name in footer button table cell (td)
* @14		V01R01B07	09/13/2005	MMar	PTR5086, Because 117 requires real buttons, docIFrames.xsl should create real buttons 
*																	and not check the type="real" setting in DocConfiguration.xml. 
* @15		V01R01B07	09/28/2005	MMar	PTR4985, Optional displaying of fieldname in parm window 
* @16		V01R01B07	10/05/2005	MMar	PTR5133, Focus problem
* @17		V01R01B07	10/10/2005	MMar	PTR5152, Alignment of wrapped description line in navigation pane 
* @18		V01R01B07	11/15/2005	MMar	PTR5234, Menu Bar lost - top menu is hiding when increasing font
* @19		V01R02B01	12/06/2005	MMar	PTR5273, Wrapping in navigation pane not satisfying if screen has not full size 
* @20		1.2.1				2006-02-01	GOT		PK17220, Multi-node, server-, application name
* @21		1.2.1				2006-02-09	GOT		PTR5417 (DPK17220) Msg FSN205I and DOC1045 after hectic clicking
*																	Buttons disabled onclick
* @22		1.2.2				2006-03-09	MMar	PTR5413 Replace applet with javascript
* @23		1.2.2				2006-04-10	MMar	DPK22286 Encoding changed to UTF-8 
* @24		1.2.2				2006-04-11	MMar	PTR5482, DPK22286 Wordwrapping in navigation pane unsatisfactory
* @25		1.2.2				2006-05-04	UZeh	PTR5535  Check if gTopObj.applet is undefined 
* @26		1.2.2				2006-05-31	GOT		DPTR5657/02	XML Characters in sessiond	                                                                      
* @27   1.2.2       2006-07-05  MMar  DPTR5653 Implement frameless design
* @28   1.2.2       2006-07-26  MMar  PTR5783 Missing alignment on German Termination panel
* @29	1.2.2			2006-07-29	GOT			PTR5781 Misc problems with special characters
*
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<!-- @29A -->
	<xsl:variable name="g-apos">&apos;</xsl:variable>
	<!-- @26A: this will deescape XML chars in attributes -->
	<xsl:output method="html"/>
	<xsl:template name="dopulldownmenu">
		<xsl:param name="objtype"/>
		<xsl:if test="$objtype='lrr'">
			<div ID="oContextHTMLbpmain" STYLE="display:none;border:0;" accesskey="b">
				<table id="bpmain" align="left" cellspacing="0" class="cmtable" frame="void" style="visibility:hidden">
					<iframe src="" id="bblockFrame" STYLE="display:inline;" border="0" height="0" width="10" scrolling="no" name="bblockMenu"/>
				</table>
			</div>
			<div ID="oContextHTMLipmain" STYLE="display:none;border:0;" accesskey="f">
				<table id="ipmain" align="left" cellspacing="0" class="cmtable" frame="void" style="visibility:hidden">
					<iframe src="" id="itextFrame" STYLE="display:inline;" border="0" height="0" width="10" scrolling="no" name="itextMenu"/>
				</table>
				<div ID="oSubHTMLcm70" STYLE="display:none;border:0;">
					<table align="left" class="cmtable" cellspacing="0" id="cm70" frame="void" style="visibility:hidden">
						<iframe src="" id="finsertFrame" border="0" height="0" width="10" scrolling="no" name="cascadingMenucm70"/>
					</table>
				</div>
			</div>
			<div ID="oContextHTMLdpmain" STYLE="display:none;border:0;" accesskey="d">
				<table id="dpmain" align="left" cellspacing="0" class="cmtable" frame="void" style="visibility:hidden">
					<iframe src="" id="dstructureFrame" STYLE="display:inline;" border="0" height="0" width="10" scrolling="no" name="dstructureMenu"/>
				</table>
			</div>
		</xsl:if>
		<div ID="oContextHTMLhpmain" STYLE="display:none;border:0;" accesskey="H">
			<table id="hpmain" align="left" cellspacing="0" class="cmtable" frame="void" style="visibility:hidden" accesskey="h">
				<!-- @ths01 -> next two lines are new -->
				<iframe src="" id="helpFrame" STYLE="display:inline;" border="0" height="0" width="10" scrolling="no" name="helpMenu"/>
			</table>
		</div>
	</xsl:template>
	<xsl:template name="docontextmenu">
		<xsl:param name="objtype"/>
		<body id="cmbody">
			<div ID="oContextHTMLcmmain" STYLE="display:none;border:0;">
				<table id="cmmain" align="left" cellspacing="0" class="cmtable" frame="void" style="visibility:hidden">
					<xsl:choose>
						<xsl:when test="$objtype='lrr'">
							<iframe src="" id="shortcutmenu" STYLE="display:inline;" border="0" height="0" width="10" scrolling="no" name="contextMenu"/>
						</xsl:when>
						<xsl:when test="$objtype='menu'">
							<iframe src="" id="shortcutmenu" STYLE="display:inline;" border="0" height="0" width="10" scrolling="no" name="contextMenu"/>
						</xsl:when>
						<xsl:when test="$objtype='parm'">
							<iframe src="" id="shortcutmenu" STYLE="display:inline;" border="0" height="0" width="10" scrolling="no" name="contextMenu"/>
							<!-- @001 id added -->
						</xsl:when>
					</xsl:choose>
				</table>
				<xsl:if test="$objtype='lrr'">
					<div ID="oSubHTMLcm20" STYLE="display:none;border:0;">
						<table align="left" cellspacing="0" class="cmtable" id="cm20" frame="void" style="visibility:hidden">
							<iframe src="" id="indcascade20" border="0" height="0" width="10" scrolling="no" name="cascadingMenucm20"/>
						</table>
					</div>
					<div ID="oSubHTMLcm30" STYLE="display:none;border:0;">
						<table align="left" cellspacing="0" class="cmtable" id="cm30" frame="void" style="visibility:hidden">
							<iframe src="" id="dstructurecascade30" border="0" height="0" width="10" scrolling="no" name="cascadingMenucm30"/>
						</table>
					</div>
				</xsl:if>
				<div ID="oSubHTMLcm40" STYLE="display:none;border:0;">
					<table align="left" cellspacing="0" class="cmtable" id="cm40" frame="void" style="visibility:hidden">
						<xsl:choose>
							<xsl:when test="$objtype='lrr' or $objtype='menu'">
								<iframe src="" id="cm40Frame" border="0" height="0" width="10" scrolling="no" name="cascadingMenucm40"/>
							</xsl:when>
							<xsl:when test="$objtype='parm'">
								<!-- BEGIN: @15 -->
								<!--<iframe src="" id="CascadingMenu40Frame" border="0" height="0" width="10" scrolling="no" name="cascadingMenucm40"/>-->
								<iframe src="" id="cm40Frame" border="0" height="0" width="10" scrolling="no" name="cascadingMenucm40"/>
								<!-- END: 15 -->
							</xsl:when>
						</xsl:choose>
					</table>
				</div>
			</div>
			<xsl:if test="$objtype='lrr'">
				<!-- @ths01 -->
				<!--	important in order to be able to drag objectsl..-->
				<div>
					<div class="draggy" id="dr-0"/>
				</div>
			</xsl:if>
		</body>
	</xsl:template>
	<xsl:template name="donavpane">
		<xsl:param name="objtype"/>
		<!--the third panel with the navigation panel and its menu items-->
		<DIV CLASS="doc_scheme_nav_pane" id="tb2" onfocus="fnChangeColorBackground()" onblur="fnChangeColorBackgroundOrig()">
			<TABLE>
				<TR>
					<TD/>
				</TR>
				<TR>
					<TD/>
				</TR>
				<TR>
					<TD/>
				</TR>
				<TR>
					<TD/>
				</TR>
				<TR>
					<TD/>
				</TR>
				<!--calculate the global variables g_hmenuselect and gHMmenuTotal which are needed to set the original focus and to dertemine the length of the menu item list for the navigation panel-->
				<xsl:choose>
					<xsl:when test="$objtype='lrr' or $objtype='parm' or $objtype='term'">
						<script>
							g_hmenulimit  = 0;	
						</script>
						<xsl:for-each select="./OLi/LRR">
							<xsl:choose>
								<xsl:when test="@acti = 'Y'">
									<script>
										g_hmenulimit = <xsl:value-of select="substring(@id,4)"/>;	
									</script>
								</xsl:when>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:when test="$objtype='menu'">
						<script>
							<xsl:for-each select="./OLi/Menu">
								<xsl:if test="@acti = 'Y'">
                                           g_hmenulimit=<xsl:value-of select="substring(@id,4)"/>;
                                           g_hmenuselect=<xsl:value-of select="substring(@id,4)"/>;
                                            </xsl:if>
							</xsl:for-each>
						</script>
					</xsl:when>
				</xsl:choose>
				<xsl:for-each select="./OLi/Menu">
					<!-- write out the menu items and their folders-->
					<!-- take this description for menu items which only reflect the history of choosen menu items-->
					<xsl:choose>
						<xsl:when test="@acti = 'Y'">
							<xsl:call-template name="doactivnavigelement">
								<xsl:with-param name="objtype" select="$objtype"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<TR>
								<TD>
									<table cellpadding="0" cellspacing="0">
										<tr>
											<td class="navigationtd">
												<xsl:attribute name="id">nt-<xsl:value-of select="substring(@id,4)"/></xsl:attribute>
												<xsl:choose>
													<xsl:when test="substring(@id,4)='1'"/>
													<xsl:when test="substring(@id,4)='2'">&#160;&#160;</xsl:when>
													<xsl:otherwise>
														<xsl:for-each select="preceding-sibling::node()">
															<xsl:if test="position() &gt; number(substring(@id,4))">
																<xsl:text>&#160;&#160;</xsl:text>
															</xsl:if>
														</xsl:for-each>
													</xsl:otherwise>
												</xsl:choose>
												<img class="navigationimage" src="./images/docmenu.gif">
													<xsl:attribute name="id">ni-<xsl:value-of select="substring(@id,4)"/></xsl:attribute>
													<xsl:if test="@ro = 'Y'">
														<xsl:attribute name="class">navigationspangrey</xsl:attribute>
													</xsl:if>
												</img>
											</td>
											<td class="navigationtd">
												<a>
													<xsl:attribute name="title"><xsl:value-of select="./Titl"/></xsl:attribute>
													<SPAN>
														<xsl:if test="@ro = 'Y'">
															<xsl:attribute name="class">navigationspangrey</xsl:attribute>
														</xsl:if>
														<xsl:attribute name="id">ns-<xsl:value-of select="substring(@id,4)"/></xsl:attribute>
														<!-- @019 Commented transparent gif -->
														<!--<img src="./images/doctransparent.gif" width="4"/>-->
														<xsl:call-template name="normalize-label">
															<xsl:with-param name="label" select="./Titl"/>
														</xsl:call-template>
														<!--<xsl:value-of select="./Titl"/>-->
													</SPAN>
												</a>
											</td>
										</tr>
									</table>
								</TD>
							</TR>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
				<xsl:for-each select="./OLi/LRR">
					<!-- write out the menu items and their folders-->
					<xsl:choose>
						<xsl:when test="@acti = 'Y'">
							<!-- take this describtion for menu items which are open and displayed in the main tree panel-->
							<xsl:call-template name="doactivnavigelement">
								<xsl:with-param name="objtype" select="$objtype"/>
							</xsl:call-template>
						</xsl:when>
					</xsl:choose>
				</xsl:for-each>
				<xsl:for-each select="./OLi/SubNvg/Item">
					<tr>
						<!-- @028 Added inside table for proper allignment -->
						<TD>
							<TABLE cellSpacing="0" cellPadding="0">
								<TBODY>
									<TR>
										<td class="navigationtd_nowrap">
											<xsl:attribute name="id">nt-<xsl:value-of select="@id"/></xsl:attribute>
											<!-- insert blanks (number of items in /OLi/actcnt) -->
											<xsl:text>&#160;</xsl:text>
											<xsl:for-each select="/OLi/*">
												<xsl:if test="position() &lt; /OLi/@actcnt">
													<xsl:text>&#160;&#160;</xsl:text>
												</xsl:if>
											</xsl:for-each>
											<img class="navigationspangrey" src="./images/doctransp22.gif">
												<xsl:attribute name="id">ni-<xsl:value-of select="@id"/></xsl:attribute>
											</img>
											<!-- @028 -->
										</td>
										<td class="navigationtd_nowrap">
											<xsl:choose>
												<xsl:when test="position()=last()">
													<SPAN class="navigationspan">
														<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
														<xsl:attribute name="id">ns-<xsl:value-of select="@id"/></xsl:attribute>
													</SPAN>
												</xsl:when>
												<xsl:otherwise>
													<SPAN>
														<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
														<xsl:attribute name="id">ns-<xsl:value-of select="@id"/></xsl:attribute>
													</SPAN>
												</xsl:otherwise>
											</xsl:choose>
										</td>
										<!-- @028 -->
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</tr>
					<script>
  						      g_hmenuselect = <xsl:value-of select="@id"/>;
						   </script>
				</xsl:for-each>
				<script>
          if ( typeof (gTopObj.applet) != "undefined" ) // @025
          { 
					  // gTopObj.applet.gHMmenuTotal = g_hmenuselect;
          } 
			    // @27 Frameless design
          fnSetGlobalVariable("gHMmenuTotal", g_hmenuselect);
				</script>
				<TR height="100%">
					<TD/>
				</TR>
			</TABLE>
		</DIV>
		<!--end of describtion for the navigation panel..this is surrounded by several divs and tables in order to set the focus correctly-->
	</xsl:template>
	<xsl:template name="doactivnavigelement">
		<xsl:param name="objtype"/>
		<TR>
			<TD>
				<table cellpadding="0" cellspacing="0">
					<tr>
						<td class="navigationtd">
							<xsl:attribute name="id">nt-<xsl:value-of select="substring(@id,4)"/></xsl:attribute>
							<xsl:choose>
								<xsl:when test="substring(@id,4)='1'"/>
								<xsl:when test="substring(@id,4)='2'">&#160;&#160;</xsl:when>
								<xsl:otherwise>
									<xsl:for-each select="preceding-sibling::node()">
										<xsl:if test="position() &gt; number(substring(@id,4))">
											<xsl:text>&#160;&#160;</xsl:text>
										</xsl:if>
									</xsl:for-each>
								</xsl:otherwise>
							</xsl:choose>
							<img class="navigationimage">
								<xsl:attribute name="id">ni-<xsl:value-of select="substring(@id,4)"/></xsl:attribute>
								<xsl:choose>
									<xsl:when test="$objtype='lrr' or $objtype='parm' or $objtype='term'">
										<xsl:attribute name="src">./images/docltd.gif</xsl:attribute>
									</xsl:when>
									<xsl:when test="$objtype='menu'">
										<xsl:attribute name="src">./images/docmenuo.gif</xsl:attribute>
									</xsl:when>
								</xsl:choose>
							</img>
						</td>
						<td class="navigationtd">
							<a>
								<xsl:attribute name="title"><xsl:if test="$objtype='parm' or $objtype='term'"><xsl:value-of select="./Titl"/></xsl:if><xsl:if test="$objtype='menu' or $objtype='lrr'"><xsl:value-of select="//Ref/Titl"/></xsl:if></xsl:attribute>
								<SPAN>
									<xsl:if test="$objtype='menu'">
										<xsl:attribute name="class">navigationspan</xsl:attribute>
									</xsl:if>
									<xsl:attribute name="id">ns-<xsl:value-of select="substring(@id,4)"/></xsl:attribute>
									<!-- @17, Commented -->
									<!--<img src="./images/doctransparent.gif" width="4"/>-->
									<xsl:if test="$objtype='parm' or $objtype='term'">
										<xsl:call-template name="normalize-label">
											<xsl:with-param name="label" select="./Titl"/>
										</xsl:call-template>
										<!--<xsl:value-of select="./Titl"/>-->
									</xsl:if>
									<xsl:if test="$objtype='menu' or $objtype='lrr'">
										<xsl:call-template name="normalize-label">
											<xsl:with-param name="label" select="//Ref/Titl"/>
										</xsl:call-template>
										<!--<xsl:value-of select="normalize-space(//Ref/Titl)"/>-->
										<!--<xsl:text> Aditional Text</xsl:text>-->
										<!--<script>alert('<xsl:value-of select="number(substring(//Ref/Titl, 11, 1))"/>')</script>-->
									</xsl:if>
								</SPAN>
							</a>
						</td>
					</tr>
				</table>
			</TD>
		</TR>
		<xsl:choose>
			<xsl:when test="$objtype='lrr' or $objtype='parm' or $objtype='term'">
				<tr>
					<td class="navigationtdsmall">
						<img src="./images/doctransparent.gif"/>
					</td>
				</tr>
			</xsl:when>
			<xsl:when test="$objtype='menu'">
				<tr>
					<td class="navigationtd">
						<xsl:attribute name="id">nt-<xsl:value-of select="substring(@id,4)-0+1"/></xsl:attribute>
						<xsl:choose>
							<xsl:when test="substring(@id,4)-0+1='1'"/>
							<xsl:when test="substring(@id,4)-0+1='2'">&#160;&#160;</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="preceding-sibling::node()">
											&#160;
											</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
						<img class="navigationimagegrey" src="./images/docinfo.gif">
							<xsl:attribute name="id">ni-<xsl:value-of select="substring(@id,4)-0+1"/></xsl:attribute>
						</img>
						<SPAN class="navigationspangrey">
							<xsl:attribute name="id">ns-<xsl:value-of select="substring(@id,4)-0+1"/></xsl:attribute>			
                                Infos
                        </SPAN>
					</td>
				</tr>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="normalize-label">
		<xsl:param name="label"/>
		<!--<xsl:value-of select="$label"/>-->
		<!-- @24 -->
		<xsl:value-of select="translate($label,'&#160;', ' ')"/>
	</xsl:template>
	<!-- dohead, builds the html head tag pair and the
		static stuff
		-->
	<xsl:template name="dohead">
		<xsl:param name="objtype"/>
		<xsl:variable name="v-buttontotal">
			<xsl:choose>
				<xsl:when test="//OLi/@sigm = 'explicit'">
					<xsl:value-of select="count(//ButtonList/child::Button[@explicit = 'Y'])"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="count(//ButtonList/child::Button)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<head>
			<!-- @23 -->
			<META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
			<!-- ISO-8859-5 -->
			<!-- @05A -->
			<SCRIPT>
               function topWait(expr)
               {
                  if (!top.loadDone)
                  {
                    // @16 Changed timeout from 333 to global variable ( in docjsgbl.js )
                    setTimeout("topWait('" + expr + "')", g_paramScreenTimeout);
                  }
                  else
                  {
                     //fnConsoleTrace("Within topWait(expr), execute " + expr);
                     eval(expr);
                  }
              }
              </SCRIPT>
			<SCRIPT>
            var gTopObj = parent;
 			g_languageid="<xsl:value-of select="//OLi/@lang"/>".toLowerCase();
                        if ( typeof (gTopObj.applet) != "undefined" ) // @025
                        {                     
			
			// @27 Frameless design
      // gTopObj.applet.gSessionId="<xsl:value-of select="//OLi/@sid"/>";                        
			// gTopObj.applet.gServerName = "<xsl:value-of select="//OLi/@server"/>";
			// gTopObj.applet.gApplicationName = "<xsl:value-of select="//OLi/@appname"/>";
                        }                        
			g_1stp = "";
			g_2ndp = "";
			g_buttontotal = <xsl:value-of select="$v-buttontotal"/>;
            //gTopObj.applet.TalkToServletApplet.startTimer();
            // gTopObj.applet.TalkToServletApplet.sendPerformanceTraceText("docasfmenu.xsl: Start Processing");
            </SCRIPT>
			<!-- included javascript and css files-->
			<script language="javascript" src="./javascript/docasfmenu.js"/>
			<!-- @06 BEGIN -->
			<!--<link rel="stylesheet" type="text/css" href="./css/docmenu.css"/>-->
			<link rel="stylesheet" type="text/css" href="./css/docproduct.css"/>
			<link rel="stylesheet" type="text/css" href="./custom/doccustom.css"/>
			<!--
			<xsl:choose>
				<xsl:when test="$objtype='menu'">
					<link rel="stylesheet" type="text/css" href="./css/docmenu.css"/>
				</xsl:when>
				<xsl:otherwise>
					<link rel="stylesheet" type="text/css" href="./css/docmenu.css"/>
				</xsl:otherwise>
			</xsl:choose>
			-->
			<!-- @06 END -->
			<SCRIPT language="javascript" src="./javascript/docnls.js"/>
			<script language="javascript" src="./custom/doccustomer.js"/>
			<!-- @001a -->
			<script language="javascript" src="./javascript/docjsgbl.js"/>
			<!-- @22 Added link to javascript code, originally from applet-->
			<script language="javascript" src="./javascript/dochttp.js"/>
			<script language="javascript" src="./javascript/docasfcommon.js"/>
			<script language="javascript" src="./javascript/docasfsplitbar.js"/>
			<script language="javascript" src="./javascript/doccontext.js"/>
			<script language="javascript" src="./javascript/docbutton.js"/>
			<script language="javascript" src="./javascript/docnavig.js"/>
			<script language="javascript" src="./javascript/docmenu.js"/>
			<script language="javascript" src="./javascript/dochelp.js"/>
			<script language="javascript" src="./javascript/docclasswrapper.js"/>
			<xsl:if test="$objtype='menu'">
				<script language="javascript" src="./javascript/docmain.js"/>
				<SCRIPT language="javascript" src="./javascript/doctbinc.js"/>
				<SCRIPT language="javascript" src="./javascript/docbtbactionbutton.js"/>
				<SCRIPT language="javascript" src="./javascript/docbtbselectlist.js"/>
				<SCRIPT language="javascript" src="./javascript/docbtoolbar.js"/>
				<SCRIPT language="javascript" src="./javascript/docbeditctrl.js"/>
				<SCRIPT language="javascript" src="./javascript/docbevent.js"/>
			</xsl:if>
			<xsl:if test="$objtype='lrr'">
				<script language="javascript" src="./javascript/docasflrr.js"/>
				<script language="javascript" src="./javascript/doctreemain.js"/>
				<SCRIPT language="javascript" src="./javascript/docdhtmled.js"/>
				<SCRIPT language="javascript" src="./javascript/doctbinc.js"/>
				<SCRIPT language="javascript" src="./javascript/docbtbactionbutton.js"/>
				<SCRIPT language="javascript" src="./javascript/docbtbselectlist.js"/>
				<SCRIPT language="javascript" src="./javascript/docbtoolbar.js"/>
				<SCRIPT language="javascript" src="./javascript/docbeditctrl.js"/>
				<SCRIPT language="javascript" src="./javascript/docbevent.js"/>
				<script language="javascript" src="./javascript/docmsg.js"/>
			</xsl:if>
			<xsl:if test="$objtype='parm'">
				<script language="javascript" src="./javascript/docasfparam.js"/>
				<SCRIPT language="javascript" src="./javascript/docmsg.js"/>
				<SCRIPT language="javascript" src="./javascript/docprm.js"/>
				<script language="javascript" src="./javascript/doctreemain.js"/>
			</xsl:if>
			<xsl:if test="$objtype='term'">
				<script language="javascript" src="./javascript/docasfterm.js"/>
				<SCRIPT language="javascript" src="./javascript/docmsg.js"/>
				<script language="javascript" src="./javascript/doctreemain.js"/>
			</xsl:if>
			<script> defaultStatus = "  "; </script>
			<title>IBM Application Support Facility for z/OS V3 R3</title>
			<SCRIPT>
               function fnEvalProcessTime()
               {
                  //fnConsoleTrace("time to build the page (ms): " + gTopObj.applet.TalkToServletApplet.stopTimer(false));
                  //gTopObj.applet.TalkToServletApplet.sendPerformanceTraceText("docasfmenu.xsl: End Processing");
               }
            </SCRIPT>
		</head>
	</xsl:template>
	<xsl:template name="domenubar">
		<!-- @07 -->
		<!-- <DIV class="buttons" id="tb4" -->
		<DIV class="doc_scheme_menu_bar" id="tb4">
			<table ID="tbclsMenuBar" class="tbclsMenuBar">
				<!-- @18 Commented unnecessary code and positioning is done by css -->
				<!--
				<tr>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
					<td class="ntbclsMenubar1">
						<img src="./images/doctransparent.gif"/>
					</td>
				</tr>
				-->
				<tr id="ParmHelp">
					<td class="ntbclsMenubar21"/>
					<td class="tbclsMenubar22" id="Menubar25">
						<DIV ACCESSKEY="h" CLASS="tbclsMenuBarItem" ID="tdMenuBarItemHilfe">
							<!-- <a CLASS="tbclsMenuBarItem" ID="tdMenuBarItemHilfe">H</a>ilfe -->
							<!-- @ths -->
						</DIV>
					</td>
					<td class="ntbclsMenubar23"/>
				</tr>
				<!-- @18 Commented unnecessary code and positioning is done by css -->
				<!--
				<tr>
					<td class="ntbclsMenubar3">
						<img src="./images/doctransparent.gif" class="tbclsMenubar3"/>
					</td>
					<td id="tbclsMenuId" class="tbclsMenubar3">
						<img id="tbclsMenuId" src="./images/doctransp22.gif" class="tbclsMenubar3"/>
					</td>
					<td class="ntbclsMenubar3">
						<img src="./images/doctransparent.gif" class="tbclsMenubar3"/>
					</td>
				</tr>
				-->
			</table>
		</DIV>
	</xsl:template>
	<!-- **************************************************************************************** -->
	<!--                     Template for creating a button in the button bar (start)             -->
	<!-- **************************************************************************************** -->
	<xsl:template name="createButton">
		<xsl:param name="signonmode"/>
		<xsl:param name="buttontype"/>
		<xsl:param name="buttonaction"/>
		<xsl:param name="position"/>
		<!-- @014 Condition about real buttons removed -->
		<script>g_RealButtons = true;</script>
		<td>
			<!--<div class="cancel">-->
			<button>
				<xsl:attribute name="name">bt_<xsl:value-of select="$buttonaction"/></xsl:attribute>
				<xsl:attribute name="class">actionbutton</xsl:attribute>
				<xsl:attribute name="disabled">disabled</xsl:attribute>
				<xsl:attribute name="onclick"><!--fnButtonEnabled(false,false);-->fnMouseClickEventButton()</xsl:attribute>
				<xsl:attribute name="id">bt-<xsl:value-of select="$position"/></xsl:attribute>
				<xsl:element name="table">
					<xsl:attribute name="class">actionbuttontable</xsl:attribute>
					<xsl:element name="tr">
						<xsl:element name="td">
							<xsl:attribute name="class">actionbuttonimagetd</xsl:attribute>
							<img>
								<xsl:attribute name="id">bi-<xsl:value-of select="$position"/></xsl:attribute>
								<xsl:attribute name="name">bt_<xsl:value-of select="$buttonaction"/></xsl:attribute>
								<xsl:attribute name="src"><xsl:text>./images/doc</xsl:text><xsl:value-of select="$buttonaction"/><xsl:text>.gif</xsl:text></xsl:attribute>
							</img>
						</xsl:element>
						<xsl:element name="td">
							<xsl:attribute name="class">actionbuttontexttd</xsl:attribute>
							<xsl:attribute name="id">bb-<xsl:value-of select="$position"/></xsl:attribute>
							<xsl:attribute name="name">bt_<xsl:value-of select="$buttonaction"/></xsl:attribute>
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</button>
			<!--</div>-->
		</td>
		<!--
			<td>
				<div class="cancel">
					<table>
						<xsl:attribute name="id">bt-<xsl:value-of select="$position"/></xsl:attribute>
						<tr>
							<xsl:attribute name="id">br-<xsl:value-of select="$position"/></xsl:attribute>
							<td>
								<xsl:attribute name="class">actionbuttonimagetd</xsl:attribute>
								<xsl:attribute name="id">b1-<xsl:value-of select="$position"/></xsl:attribute>
								<img>
									<xsl:attribute name="id">bi-<xsl:value-of select="$position"/></xsl:attribute>
									<xsl:attribute name="name">bt_<xsl:value-of select="$buttonaction"/></xsl:attribute>
									<xsl:attribute name="src"><xsl:text>./images/doc</xsl:text><xsl:value-of select="$buttonaction"/><xsl:text>.gif</xsl:text></xsl:attribute>
								</img>
							</td>
								
							@10
							<td>
								@013
								<xsl:attribute name="class">actionbuttontexttd</xsl:attribute>
								<xsl:attribute name="id">b2-<xsl:value-of select="$position"/></xsl:attribute>
								<div >
									<xsl:attribute name="name">bt_<xsl:value-of select="$buttonaction"/></xsl:attribute>
									<xsl:attribute name="id">bd-<xsl:value-of select="$position"/></xsl:attribute>
									<a>
										<xsl:attribute name="id">ba-<xsl:value-of select="$position"/></xsl:attribute>
										<xsl:value-of select="$buttonaction"/>
									</a>
								</div>
							</td>
						</tr>
					</table>
				</div>
			</td>
			-->
		<!-- @09: END -->
	</xsl:template>
	<!-- Added for @02= -->
	<!-- This template escapes a String to make it work as javascript String and as an HTML attribute
	because the string ultimately ends up as the value attribute of an HTML INPUT tag. The original 
	double quote becomes an HTML double quote, which is &quot. For each double quote, we enter
	an &amp;quot 
	
	@29C Template changed to perform a "proper" escaping using backslashes
-->
	<xsl:template name="do-jsescape">
		<xsl:param name="ps-input"/>
		<xsl:if test="string-length($ps-input) &gt; 0">
			<xsl:variable name="s-first" select="substring($ps-input, 1, 1)"/>
			<xsl:choose>
				<xsl:when test="$s-first = '&quot;'">
					<xsl:text>\&quot;</xsl:text>
				</xsl:when>
				<xsl:when test="$s-first = $g-apos">
					<xsl:text>\</xsl:text>
					<xsl:value-of select="$g-apos"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$s-first"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:call-template name="do-jsescape">
				<xsl:with-param name="ps-input" select="substring($ps-input, 2)"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
