<?xml version="1.0" encoding="UTF-8"?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2006   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************

* Change Activity:                                                             
*                                                                              
* Code Release    Date        Person  Reason                                   
* @001 V01R02B02  2006-07-04  MMar    DPTR5653, frameless design, file created
*
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

	<xsl:template name="set-global-variables">
	  <script>
	  <xsl:for-each select="//GlobalVariable">
	  <!-- Javascript to set global variables from XML stream -->
	    fnSetGlobalVariable("<xsl:value-of select="@name" />", "<xsl:value-of select="@value" />");
	  </xsl:for-each>
	  if(fnGetGlobalVariable("gSessionId") == null)
      fnSetGlobalVariable("gSessionId","<xsl:value-of select="//OLi/@sid"/>");
	  if(fnGetGlobalVariable("gServerName") == null)
		  fnSetGlobalVariable("gServerName","<xsl:value-of select="//OLi/@server"/>");
	  if(fnGetGlobalVariable("gApplicationName") == null)
		  fnSetGlobalVariable("gApplicationName","<xsl:value-of select="//OLi/@appname"/>");
	  </script>
	</xsl:template>

</xsl:stylesheet>
